# 启动

```
下载依赖

yarn install

启动服务

npm run dev

```
# 注意事项
- 进入新转换的页面，页面卡住，点什么都没反应时，说明页面报错了，请查看控制台的错误信息；

# 代码工具生成的代码需要手动进行以下处理  

## react -> vue
1. 表单查询按钮回调中的tableRef要改成对应表格的ref
2. 表单保存按钮回调中的formRef要改成对应表单的ref
3. 遇到setFieldState时需要手动转换，目前只对默认仅改变表单值时进行了转换，当出现修改其他属性时，未做处理  
    除此之外，遇到原react表单框架特有函数getFieldState、getFieldValue、setFieldValue等也需要手动转换  
    例如：  
    ```
      setFieldState('name', state => { state.value = value; state.disabled = true; })    
      上面的代码用于给表单的name字段设置value和disabled属性，需要手动转换为vue的写法：
    ```

## jsp -> vue
1. 查看表单项父组件是否有pro-form，没有手动添加，并设置model参数
2. 打开其他页面按钮，需要手动修改成OpenModelButton组件
3. 表格列中使用formatter方法进行渲染时，需要手动根据函数内容进行修改


## 其他
1. 表格数据源中的key字段在antdVue中是保留字，需要改成其他字段，并给表格设置rowKey属性
3. 为解决同一页面有多个相同组件，定义组件参数变量时使用组件id或name作为变量名，如需要可自行对变量名进行修改


# 需要优化的地方
1. 下拉树组件没有角色树、菜单树，对应的type为roleTree、menuTree
2. vue下拉树目前没有"leafOlny[只能选中叶子节点]"功能
