/**
 * 全局公共设置测试
 */
export default {
  title: '总账管理系统',//系统名称
  desc: '',// 系统描述

  systemPrefix: '/zz-pack',//系统前缀
  flowablePrefix: '/dhcFlowable',
  ureportPrefix: '/ureport', //报表前缀（报表相关jar包中访问路径前缀）
  reportPrefix: '/report', //报表前缀（报表模块）
  flowablePrefix: '/dhcFlowable',
  isMock: false, //是否使用模拟数据
  gateWayUrl: "localhost:8080",
  /**
   * 登录是否加密
   */
  passwordEncrypt: false,
  /**
   * sm2加密公钥(后端生成)
   */
  sm2PublicKey: "0482a1e1e891df34e55692b0809a329574cacafb5d8e39aea2e4197e8f55f103cd603f89ba0e10b1c42a2c21470663e1ee9fb66f4c6047ac8fdea8c100cd7be324",
  /**
   * sm2加密模式
   */
  cipherMode: "1",
  /**
   * sm2加密的front-app
   */
  frontApp:"04d8d0d0f48806eefb1d29cab50787e6654c7c1adedf6aa2e2d4da2eb6b7b38d2f6229d3776b83f6d13889580e5cf3daf4024ab20409353a8fc6f26dfc4cf022699cad4778dac0306994fcc73806cff318ad21be63d363a4ba4819933db3e3e30379427e715ca6534fcf",
  /**
   * @type {boolean} true | false
   * @description 是否展示右侧设置按钮
   */
  showSettings: false,

  /**
   * @type {boolean} true | false
   * @description 打开菜单是否是多页签模式
   */
  tagsView: true,

  /**
   * @type {boolean} true | false
   * @description 布局表单是否锁定
   */
  fixedHeader: true,

  /**
   * @type {boolean} true | false
   * @description 是否展示左侧logo区域
   */
  sidebarLogo: true,

  /**
   * @type {int}
   * @description 设置表格默认展示数量
   */
  globalPageSize: 10,

  /**
   * @type {string | array} 'production' | ['production', 'development']
   * @description Need show err logs component.
   * The default is only used in the production env
   * If you want to also use it in dev, you can pass ['production', 'development']
   */
  errorLog: 'production',

  /**
   * 页面底部的 copyRight 显示 -- 使页面和底部有一定距离
   */
  copyright: {
    enable: false,
    /**
     * 网站运行日期
     * @默认值 `'2022'`
     */
    dates: '2022',
    /**
   * 公司名称
   * @默认值 `'dhc'`
   */
    company: 'DHC',
    /**
     *
     */
    website: ''
  },

  /**
   * 导航栏设置
   */
  navBar: {
    // 布局设置按钮是否显示
    layoutEnable: true
  },

  /**
   * 表格组件默认设置
   */
  proTable: {
    //每页展示条数
    pageSize:10,
    //分页列表
    pageSizes:[10, 20, 50, 100, 999],
    searchForm:{
      //当点收起按钮时展示几行
      foldedlinesNum:2
    },
    //是否展示导出按钮
    showExportBut:true
  },

  /**
   * 默认密码
   */
  defalutPwd: 'Ab2205..'
}
