/**
 * 支持的通讯外端
 */
export enum TransitType {
    /**
     * 未知外端
     */
    Unknown = 0,

    /**
     * 核心后台
     */
    CallServer = 1,

    /**
     * 平台渠道
     */
    CallAgn = 2,

    CallMobileBanking = 3,
    CallAgnCIS = 4,
    CallAgnCard = 5,
    CallAgnNew = 6,
    CallAgnCardEx = 7,
    CallAgnCartoon = 8,
    CallAgnHPF = 9,
    CallAgnTV = 10,
    CallAgnFSSR = 11,
    CallAgnHontax = 12,
    CallAgnMIS = 13,
    CallAgnWXJJ_LP = 14,
    CallAgnWXJJ_CDX = 15,
    CallAgnNetBank = 16,
    CallAgnMF01 = 17,
    CallAgnMF02 = 18,
    CallAgnCnaps2 = 19,
    CallAgnSHCZ = 20,
    CallAgnIBDW = 21,
    CallAgnHeat01 = 22,
    CallAgnHeat02 = 23,
    CallAgnHeat03 = 24,
    CallAgnWater = 25,
    CallAgnIDC = 26,

    /**
     * 超级网银
     */
    CallAgnIBPS = 27,

    CallAgnOrder = 28,
    CallAgnTips = 29,
    CallAgnRun = 30,

    // 村镇银行网银
    CallAgn_CZYYSW = 31,

    // 二代货币/反假币
    CallNoFileSys = 32,

    // 青隆易缴费
    CallAgn_EasyPay = 33,

    /**
     * 阳光燃气费代交
     */
    CallAgn_GasFee = 34,

    /**
     * 山东一窗通
     */
    CallAgn_SDYCT = 35,

    /**
     * 中牟存量房监管
     */
    CallAgnCLFJG = 36,

    /**
     * 农金通
     */
    CallAgn_NJT = 37,

    /**
     * 青隆房管局网签
     */
    CallAgn_FGJWQ = 38,

    /**
     * 阳光电子汇票
     */
    CallAgn_Ebill = 39,

    /**
     * 农信银网联
     */
    CallAgnNew_WL = 40,

    /**
     * 境外卡渠道
     */
    CallAgn_JWK = 85001,

    /**
     * 青隆房管局网签 黄骅市
     */
    CallAgn_FGJWQ_HH = 30201,

    /**
     * 扶沟 农民工工资代发
     */
    CallAgn_DF = 13201,

    /**
     * 固始公积金
     */
    CallAgn_GGJ = 10801,

    /**
     * 中牟超网
     */
    CallAgn_CW = 10201,

    /**
     * 中牟资金监管
     */
    CallAgn_ZJJG = 10202,

    /**
     * 中牟查控系统
     */
    CallAgn_CKXT = 10203,

    /**
     * 核心前置通讯
     */
    CallGateway2CBS = 10204,

    /**
     * 浚县房屋资金维修
     */
    CallHfmsApp = 16201
}
