﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.Communication.Package
{
    interface IPackage
    {

        /// <summary>
        /// 组包操作
        /// </summary>
        ///<param name="msg">核心返回数据包</param>
        /// <returns>报文数据包</returns>
        byte[] Integrate( Message msg);
        /// <summary>
        /// 解包操作
        /// </summary>
        /// <param name="msg">核心返回数据包</param>
        /// <param name="data">核心返回数据包</param>
        /// <returns></returns>
        bool Analyze( Message msg,byte[] data);
    }
}
