﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.Contract.Contracts
{
    public interface IEvaluationContract
    {
        bool PreviewEvaluation(EvaluationRecord record);
    }

    /// <summary>
    /// 预评价的记录
    /// </summary>
    public class EvaluationRecord
    {
        /// <summary>
        /// 账号
        /// </summary>
        public string AccNo { get; set; }

        /// <summary>
        /// 身份证号
        /// </summary>
        public string IdNo { get; set; }

        /// <summary>
        /// 姓名
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 金额
        /// </summary>
        public string Amt { get; set; }

        public override string ToString()
        {
            return string.Format("EvaluationRecord=[AccNo:{0},IdNo:{1},Name:{2},Amt:{3}]", AccNo, IdNo, Name, Amt);
        }
    }
}
