﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TellerSystem.Contract.ContractBase;

namespace TellerSystem.Contract.Entry
{
    /// <summary>
    /// 打印数据入口
    /// </summary>
    public abstract class PrintEntry : EntryBase
    {
        /// <summary>
        /// 批量打印标志
        /// </summary>
        public bool IsBatchPrint { get; set; }
        /// <summary>
        /// 批量打印清单
        /// </summary>
        public List<Platform.Print.PrintContainer> BatchList { get; set; }
    }
}
