﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.Controls.Ext.ControlEntity
{
    /// <summary>
    /// 电子验印实体
    /// </summary>
    public class DzyyEntity
    {
        public DzyyEntity()
        {
            AccNo = Amt = Voucher = VoucherNo = VoucherDate = Message = SerialNo = string.Empty;
        }
        /// <summary>
        /// 账号
        /// </summary>
        public string AccNo { get; set; }
        /// <summary>
        /// 金额
        /// </summary>
        public string Amt { get; set; }
        /// <summary>
        /// 凭证类型
        /// </summary>
        public string Voucher { get; set; }
        /// <summary>
        /// 凭证号码
        /// </summary>
        public string VoucherNo { get; set; }
        /// <summary>
        /// 出票日期
        /// </summary>
        public string VoucherDate { get; set; }
        /// <summary>
        /// 处理信息结果
        /// </summary>
        public string Message { get; internal set; }
        /// <summary>
        /// 验印流水号
        /// </summary>
        public string SerialNo { get; internal set; }
        /// <summary>
        /// 验印通过标志
        /// </summary>
        public string YYFlag { get;  set; }
    }
}
