﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Platform.Common.BasicFunctions;
using System.Collections.ObjectModel;

namespace TellerSystem.Controls.Ext.ControlEntity
{
    public class PropGuideEntity : ObservableObject
    {
        private string _groupHeader;

        public string GroupHeader
        {
            get { return _groupHeader; }
            set 
            {
                _groupHeader = value;
                RaisePropertyChanged(() => GroupHeader);
            }
        }

        private Dictionary<string, string> _children;

        public Dictionary<string, string> Children
        {
            get
            {
                if (_children == null)
                {
                    _children = new Dictionary<string, string>();
                }
                return _children;
            }
            set
            {
                _children = value;
                RaisePropertyChanged(() => Children);
            }
        }

    }
}
