﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Platform.Controls.ControlsHelper;
using Platform.Library;
using TellerSystem.Library.Ext.Function;
using System.Text.RegularExpressions;

namespace TellerSystem.Controls.Ext.Controls
{
    /// <summary>
    /// CheckMoney.xaml 的交互逻辑
    /// </summary>
    public partial class CheckMoney
    {
        public CheckMoney(string money)
        {
            InitializeComponent();
            currentmoney.Text = money;
        }

        public bool jieguo = false;
        #region 逻辑代码
        /// <summary>
        /// 界面初始化数据
        /// </summary>
        /// <returns></returns>
        public override bool InitPage()
        {
            /*********************************************
             * 此处需要填充的代码包括：
             * 1.界面初始数据
             * ******************************************/

            return true;
        }

        #endregion

        #region 内部逻辑

        public bool YanZheng(TextBox element)
        {
            Regex r = new Regex(@"^\s*$|^[0-9]*$");
            if (!r.IsMatch(element.Text))
            {
                this.TradeAPIs.ShowInfoMessageBox("请输入0到9之间的数字!");
                element.Text = "";
                this.TradeAPIs.SetFocus(element);
                return false;
            }
            return true;
        }

        private void num100_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (YanZheng(num100))
            {
                if (string.IsNullOrWhiteSpace(num100.Text))
                {
                    num100.Text = "0";
                }
                cur_100.Text = (Convert.ToDouble(num100.Text) * 100).ToString();
                total();
                AmtNum();
            }
        }

        private void num100_LostFocus(object sender, RoutedEventArgs e)
        {
            if (YanZheng(num100))
            {
                if (string.IsNullOrWhiteSpace(num100.Text))
                {
                    num100.Text = "0";
                }
                cur_100.Text = (Convert.ToDouble(num100.Text) * 100).ToString();
                total();
                AmtNum();
            }
        }

        private void AmtNum()
        {
            decimal d = decimal.Parse(cur_result.Text) - decimal.Parse(currentmoney.Text);
            if (d > 0)
            {
                ChaAmtMoney.Text = "+" + d.ToString();
            }
            else
            {
                ChaAmtMoney.Text = d.ToString();
            }
        }

        private void total()
        {
            cur_result.Text = (Convert.ToDouble(cur_100.Text) + Convert.ToDouble(cur_50.Text) + Convert.ToDouble(cur_20.Text) + Convert.ToDouble(cur_10.Text) + Convert.ToDouble(cur_5.Text) + Convert.ToDouble(cur_1.Text) + Convert.ToDouble(cur_1j.Text) + Convert.ToDouble(cur_1f.Text)).ToString();
            //当输入金额匹配上时直接跳转至确定按钮
            Decimal chae = currentmoney.Text.ToDecimal() - cur_result.Text.ToDecimal();
            if (chae == 0)
            {
                this.TradeAPIs.SetFocus(submit);
            }
        }

        private void num50_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (YanZheng(num50))
            {
                if (string.IsNullOrWhiteSpace(num50.Text))
                {
                    num50.Text = "0";
                }
                cur_50.Text = (Convert.ToDouble(num50.Text) * 50).ToString();
                total();
                AmtNum();
            }
        }

        private void num50_LostFocus(object sender, RoutedEventArgs e)
        {
            if (YanZheng(num50))
            {
                if (string.IsNullOrWhiteSpace(num50.Text))
                {
                    num50.Text = "0";
                }
                cur_50.Text = (Convert.ToDouble(num50.Text) * 50).ToString();
                total();
                AmtNum();
            }
        }

        private void num20_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (YanZheng(num20))
            {
                if (string.IsNullOrWhiteSpace(num20.Text))
                {
                    num20.Text = "0";
                }
                cur_20.Text = (Convert.ToDouble(num20.Text) * 20).ToString();
                total();
                AmtNum();
            }
        }

        private void num20_LostFocus(object sender, RoutedEventArgs e)
        {
            if (YanZheng(num20))
            {
                if (string.IsNullOrWhiteSpace(num20.Text))
                {
                    num20.Text = "0";
                }
                cur_20.Text = (Convert.ToDouble(num20.Text) * 20).ToString();
                total();
                AmtNum();
            }
        }

        private void num10_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (YanZheng(num10))
            {
                if (string.IsNullOrWhiteSpace(num10.Text))
                {
                    num10.Text = "0";
                }
                cur_10.Text = (Convert.ToDouble(num10.Text) * 10).ToString();
                total();
                AmtNum();
            }
        }

        private void num10_LostFocus(object sender, RoutedEventArgs e)
        {
            if (YanZheng(num10))
            {
                if (string.IsNullOrWhiteSpace(num10.Text))
                {
                    num10.Text = "0";
                }
                cur_10.Text = (Convert.ToDouble(num10.Text) * 10).ToString();
                total();
                AmtNum();
            }
        }

        private void num5_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (YanZheng(num5))
            {
                if (string.IsNullOrWhiteSpace(num5.Text))
                {
                    num5.Text = "0";
                }
                cur_5.Text = (Convert.ToDouble(num5.Text) * 5).ToString();
                total();
                AmtNum();
            }
        }

        private void num5_LostFocus(object sender, RoutedEventArgs e)
        {
            if (YanZheng(num5))
            {
                if (string.IsNullOrWhiteSpace(num5.Text))
                {
                    num5.Text = "0";
                }
                cur_5.Text = (Convert.ToDouble(num5.Text) * 5).ToString();
                total();
                AmtNum();
            }
        }

        private void num1_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (YanZheng(num1))
            {
                if (string.IsNullOrWhiteSpace(num1.Text))
                {
                    num1.Text = "0";
                }
                cur_1.Text = (Convert.ToDouble(num1.Text)).ToString();
                total();
                AmtNum();
            }
        }

        private void num1_LostFocus(object sender, RoutedEventArgs e)
        {
            if (YanZheng(num1))
            {
                if (string.IsNullOrWhiteSpace(num1.Text))
                {
                    num1.Text = "0";
                }
                cur_1.Text = (Convert.ToDouble(num1.Text)).ToString();
                total();
                AmtNum();
            }

        }

        private void submit_Click(object sender, RoutedEventArgs e)
        {
            if (currentmoney.Val != cur_result.Val)
            {
                decimal d = decimal.Parse(cur_result.Text) - decimal.Parse(currentmoney.Text);

                if (d > 0)
                {
                    this.TradeAPIs.ShowInfoMessageBox("金额校验失败,统计金额比录入金额多出" + d.ToString() + "元");
                }
                else
                {
                    this.TradeAPIs.ShowInfoMessageBox("金额校验失败,统计金额比录入金额相差" + d.ToString().Replace('-', ' ').Trim() + "元");
                }
                cur_100.Text = "0";
                cur_50.Text = "0";
                cur_20.Text = "0";
                cur_10.Text = "0";
                cur_5.Text = "0";
                cur_1.Text = "0";
                //cur_1j.Text = "0";
                //cur_1f.Text = "0";
                cur_result.Text = "0";
                ChaAmtMoney.Text = "";
                this.TradeAPIs.SetFocus(num100);
                return;
            }
            else
            {
                jieguo = true;
                this.Close();
            }
        }



        #endregion

        private void cancel_Click(object sender, RoutedEventArgs e)
        {
            jieguo = false;
            this.Close();
        }

        private void num1j_LostFocus(object sender, RoutedEventArgs e)
        {
            if (YanZheng(num1j))
            {
                if (string.IsNullOrWhiteSpace(num1j.Text))
                {
                    num1j.Text = "0";
                }
                cur_1j.Text = (Convert.ToDouble(num1j.Text) * 0.1).ToString();
                total();
                AmtNum();
            }
        }

        private void num1f_LostFocus(object sender, RoutedEventArgs e)
        {
            if (YanZheng(num1f))
            {
                if (string.IsNullOrWhiteSpace(num1f.Text))
                {
                    num1f.Text = "0";
                }
                cur_1f.Text = (Convert.ToDouble(num1f.Text) * 0.01).ToString();
                total();
                AmtNum();
            }
        }

        private void num1j_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (YanZheng(num1j))
            {
                if (string.IsNullOrWhiteSpace(num1j.Text))
                {
                    num1j.Text = "0";
                }
                cur_1j.Text = (Convert.ToDouble(num1j.Text) * 0.1).ToString();
                total();
                AmtNum();
            }
        }

        private void num1f_TextChanged(object sender, TextChangedEventArgs e)
        {
            if (YanZheng(num1f))
            {
                if (string.IsNullOrWhiteSpace(num1f.Text))
                {
                    num1f.Text = "0";
                }
                cur_1f.Text = (Convert.ToDouble(num1f.Text) * 0.01).ToString();
                total();
                AmtNum();
            }
        }
    }
}
