// 假设GridViewColumn是一个自定义类型，这里简单用any表示，实际需要根据具体情况定义
type GridViewColumn = any;

// 定义一个获取GridViewColumn宽度的工具函数
export const getColumnWidth = (column: GridViewColumn): number => {
    // 模拟获取DesiredWidth属性
    const getDesiredWidth = (col: GridViewColumn) => {
        // 这里假设DesiredWidth是一个属性，实际需要根据具体情况实现
        return (col as any).DesiredWidth || 0; 
    };

    return isNaN(column.Width) ? getDesiredWidth(column) : column.Width;
};