﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TellerSystem.Controls.Ext.Controls
{
    /// <summary>
    /// ManageButtonGroup.xaml 的交互逻辑
    /// </summary>
    public partial class ManageButtonGroup : UserControl
    {
        public delegate void Button_click();
        public  enum Buttonobj { add,del,modify,qry }
        public Button_click ButtonAddClick;
        public Button_click ButtonModifyClick;
        public Button_click ButtonDelClick;
        public Button_click ButtonQryClick;
        public ManageButtonGroup()
        {
            InitializeComponent();
        }

        private void Button_Add_Click(object sender, RoutedEventArgs e)
        {
            ButtonAddClick();
        }

        private void Button_Modify_Click(object sender, RoutedEventArgs e)
        {
            ButtonModifyClick();
        }

        private void Button_Click_del(object sender, RoutedEventArgs e)
        {
            ButtonDelClick();
        }

        private void Button_Click_Qry(object sender, RoutedEventArgs e)
        {
            ButtonQryClick();
        }
        public void SetButtonVisualbillity(Buttonobj obj,Visibility vb)
        {
            switch (obj)
            {
                case Buttonobj.add: Button_Add.Visibility = vb; break;
                case Buttonobj.del: Button_Del.Visibility = vb; break;
                case Buttonobj.modify: Button_Modify.Visibility = vb; break;
                case Buttonobj.qry: Button_Qry.Visibility = vb; break;
            }
        }
        public void SetButtonEnable(bool isEnable)
        {
            this.Button_Modify.IsEnabled = isEnable;
            this.Button_Del.IsEnabled = isEnable;
            this.Button_Qry.IsEnabled = isEnable;
        }
    }
}
