﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Platform.Presentation.Interfaces;
using Platform.Controls.ControlsHelper;
using TellerSystem.Library.Ext.Function;

namespace TellerSystem.Controls.Ext.Controls
{
    /// <summary>
    /// TBC_MoneyList.xaml 的交互逻辑
    /// </summary>
    public partial class TBC_MoneyList : UserControl
    {
        public TBC_MoneyList()
        {
            InitializeComponent();
        }

        public IPage CPage { get; set; }

        public string TotalAmt { get { return CE_AmtCount.Text; } }
        public string TotalNum { get { return TB_PageCount.Text; } }

        private void num100_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num100.Text.Length != 0)
            {
                int cur100amt = int.Parse(num100.Text);
                if (cur100amt % 1 == 0)
                {
                    Tran100Amt.Text = (cur100amt * 100).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num100);
                    return;
                }
            }
            else
            {
                num100.Text = "0";
                Tran100Amt.Text = "0";
            }
            num50.Text = null;
        }

        private void num50_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num50.Text.Length != 0)
            {
                int cur50amt = int.Parse(num50.Text);
                if (cur50amt % 1 == 0)
                {
                    Tran50Amt.Text = (cur50amt * 50).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num50);
                    return;
                }
            }
            else
            {
                num50.Text = "0";
                Tran50Amt.Text = "0";
            }
            num20.Text = null;
        }

        private void num20_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num20.Text.Length != 0)
            {
                int cur20amt = int.Parse(num20.Text);
                if (cur20amt % 1 == 0)
                {
                    Tran20Amt.Text = (cur20amt * 20).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num20);
                    return;
                }
            }
            else
            {
                num20.Text = "0";
                Tran20Amt.Text = "0";
            }
            num10.Text = null;
        }

        private void num10_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num10.Text.Length != 0)
            {
                int cur10amt = int.Parse(num10.Text);
                if (cur10amt % 1 == 0)
                {
                    Tran10Amt.Text = (cur10amt * 10).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num10);
                    return;
                }
            }
            else
            {
                num10.Text = "0";
                Tran10Amt.Text = "0";
            }
            num5.Text = null;
        }

        private void num5_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num5.Text.Length != 0)
            {
                int cur5amt = int.Parse(num5.Text);
                if (cur5amt % 1 == 0)
                {
                    Tran5Amt.Text = (cur5amt * 5).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num5);
                    return;
                }
            }
            else
            {
                num5.Text = "0";
                Tran5Amt.Text = "0";
            }
            num1.Text = null;
        }

        private void num1_LostFocus(object sender, RoutedEventArgs e)
        {
            
            if (num1.Text.Length != 0)
            {
                int cur1amt = int.Parse(num1.Text);
                if (cur1amt % 1 == 0)
                {
                    Tran1Amt.Text = (cur1amt * 1).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num1);
                    return;
                }
            }
            else
            {
                num1.Text = "0";
                Tran1Amt.Text = "0";
            }
            num5jiao.Text = null;
        }

        private void num5jiao_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num5jiao.Text.Length != 0)
            {
                int curnum5jiaoamt = int.Parse(num5jiao.Text);
                if (curnum5jiaoamt % 1 == 0)
                {
                    Tran5JiaoAmt.Text = (curnum5jiaoamt * 0.5).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num5jiao);
                    return;
                }
            }
            else
            {
                num5jiao.Text = "0";
                Tran5JiaoAmt.Text = "0";
            }
            num2jiao.Text = null;
        }

        private void num2jiao_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num2jiao.Text.Length != 0)
            {
                int cur2jiaoamt = int.Parse(num2jiao.Text);
                if (cur2jiaoamt % 1 == 0)
                {
                    Tran2JiaoAmt.Text = (cur2jiaoamt * 0.2).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num2jiao);
                    return;
                }
            }
            else
            {
                num2jiao.Text = "0";
                Tran2JiaoAmt.Text = "0";
            }
            num1jiao.Text = null;
        }

        private void num1jiao_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num1jiao.Text.Length != 0)
            {
                int cur1jiaoamt = int.Parse(num1jiao.Text);
                if (cur1jiaoamt % 1 == 0)
                {
                    Tran1JiaoAmt.Text = (cur1jiaoamt * 0.1).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num1jiao);
                    return;
                }
            }
            else
            {
                num1jiao.Text = "0";
                Tran1JiaoAmt.Text = "0";
            }
            num1fen.Text = null;
        }

        private void num1fen_LostFocus(object sender, RoutedEventArgs e)
        {
            if (num1fen.Text.Length != 0)
            {
                int curnum1fenamt = int.Parse(num1fen.Text);
                if (curnum1fenamt % 1 == 0)
                {
                    Tran1FenAmt.Text = (curnum1fenamt * 0.01).ToString();
                }
                else
                {
                    MessageBox.Show("请输入整数");
                    CPage.SetFocus(num1fen);
                    return;
                }
            }
            else
            {
                num1fen.Text = "0";
                Tran1FenAmt.Text = "0";
            }
            CE_AmtCount.Text = (decimal.Parse(Tran100Amt.Text) + decimal.Parse(Tran50Amt.Text) + decimal.Parse(Tran20Amt.Text) + decimal.Parse(Tran10Amt.Text) + decimal.Parse(Tran5Amt.Text) + decimal.Parse(Tran1Amt.Text) + decimal.Parse(Tran5JiaoAmt.Text) + decimal.Parse(Tran2JiaoAmt.Text) + decimal.Parse(Tran1JiaoAmt.Text) + decimal.Parse(Tran1FenAmt.Text)).ToString();
            TB_PageCount.Text = (int.Parse(num100.Text) + int.Parse(num50.Text) + int.Parse(num20.Text) + int.Parse(num10.Text) + int.Parse(num5.Text) + int.Parse(num1.Text) + int.Parse(num5jiao.Text) + int.Parse(num2jiao.Text) + int.Parse(num1jiao.Text) + int.Parse(num1fen.Text)).ToString();
            //if (CE_AmtCount.Text != TranResultAmt.Text)
            //{
            //    MessageBox.Show("录入金额与合计金额不符，请重新录入！");
            //    return;
            //}
        }
    }
}
