﻿using System;
using System.Collections;
using System.Data;
using System.Linq;
using System.Text.RegularExpressions;
using System.Threading;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Input;
using System.Windows.Media;
using System.Text;
namespace TellerSystem.Controls.Ext.Controls
{
   public class DataGridTreeView : TreeView
   {
      protected override DependencyObject GetContainerForItemOverride()
      {
          DataGridTreeViewItem li = new DataGridTreeViewItem();
         li.OverridesDefaultStyle = true;
         return li;
      }
      protected override bool IsItemItsOwnContainerOverride(object item)
      {
          return item is DataGridTreeViewItem;
      }
      private GridViewColumnCollection _columns;
      public GridViewColumnCollection Columns
      {
         get
         {
            if (_columns == null)
            {
               _columns = new GridViewColumnCollection();
            }
            return _columns;
         }
      }

      public void SetItemsSource(IEnumerable dataSource)
      {
          this.ItemsSource = dataSource;
          this.UpdateLayout();
      }
   }
}
