/**
 * 鼠标事件api辅助结构
 */
export interface NativeRECT {
    left: number;
    top: number;
    right: number;
    bottom: number;
}

// 或者使用类实现
export class NativeRECT {
    public left: number = 0;
    public top: number = 0;
    public right: number = 0;
    public bottom: number = 0;

    constructor(left?: number, top?: number, right?: number, bottom?: number) {
        this.left = left || 0;
        this.top = top || 0;
        this.right = right || 0;
        this.bottom = bottom || 0;
    }
}