﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Diagnostics;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Text.RegularExpressions;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;
using Platform.Common.LogSystem;
using Platform.Common.RunningParameters;

/******************************平台Dll*****************************/

using Platform.Controls.ControlsHelper;
using Platform.Library;
using Platform.Presentation.FocusManagers;
using Platform.Presentation.Interfaces;
using Platform.Presentation.PageFunctions;
using Platform.Print;
using TellerSystem.Communication;
using TellerSystem.Library.Ext.Function;
using TellerSystem.Library.Ext.TradeExtension;
using TellerSystem.Library.Ext.Variables;
using TellerSystem.PrintTemplate;

namespace TellerSystem.Library.Ext.Function.ExcelFunction
{
    /// <summary>
    /// SelectFrm.xaml 的交互逻辑
    /// </summary>
    public partial class SelectFrm : Window
    {
        public SelectFrm()
        {
            InitializeComponent();
            TitFontSize.SetItems(UserVariable.GetFontSize());
            TitFontSize.SelectedIndex = 8;
            TitFontStyle.SetItems(UserVariable.GetFontStyle());
            TitFontColor.SetItems(UserVariable.GetFontColor());
            TitBold.SetItems(UserVariable.GetFontBold());
            TopFontSize.SetItems(UserVariable.GetFontSize());
            TopFontSize.SelectedIndex = 4;
            TopFontStyle.SetItems(UserVariable.GetFontStyle());
            TopFontColor.SetItems(UserVariable.GetFontColor());
            TopBold.SetItems(UserVariable.GetFontBold());
            TopBold.SelectedIndex = 1;
            ConFontSize.SetItems(UserVariable.GetFontSize());
            ConFontSize.SelectedIndex = 4;
            ConFontStyle.SetItems(UserVariable.GetFontStyle());
            ConFontColor.SetItems(UserVariable.GetFontColor());
            ConBold.SetItems(UserVariable.GetFontBold());
            DataSave.SetItems(new Dictionary<string, string> { { "保存为单个sheet页", "0" }, { "依照分组保存为多个sheet页", "1" } });
        }

        private void Bnt_OkClick(object sender, RoutedEventArgs e)
        {
            if (StartRow.Text.GetStringToNum() == -1 || StartCol.Text.GetStringToNum() == -1 || EndRow.Text.GetStringToNum() == -1 || EndCol.Text.GetStringToNum() == -1)
            {
                MessageBox.Show("行列值输入只能输入数字");
                StartRow.Text = "";
                StartCol.Text = "";
                EndRow.Text = "";
                EndCol.Text = "";
                Flag.Text = "-1";
            }
            else
            {
                Flag.Text = "1";
                this.Close();
            }
        }

        

        private void DataSave_LostFocus(object sender, RoutedEventArgs e)
        {
            if (DataSave.GetSelectedValue() == "1")
            {
                TBlockSelect.Text = "分组列值";
                if (SheetName.Text.GetStringToNum() == -1)
                {
                    MessageBox.Show("分组列值输入只能输入数字");
                    SheetName.Text = "";
                }
            }
            else
            {
                TBlockSelect.Text = "工作表名";
            }

        }

    }
}
