﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;

namespace TellerSystem.Library.Ext.NPOI
{
    /// <summary>
    /// 抽象产品 excel
    /// </summary>
    public abstract class NPOIExcel
    {
        /// <summary>
        /// 
        /// </summary>
        /// <param name="filePath"></param>
        /// <param name="sheetIndex"></param>
        /// <returns></returns>
        abstract public DataTable ExcelToTable(string filePath, int sheetIndex = 0);

        /// <summary>
        /// 
        /// </summary>
        /// <param name="dt"></param>
        /// <returns></returns>
        abstract public byte[] DataTableToExcel(DataTable dt);

        /// <summary>
        /// 
        /// </summary>
        /// <param name="ds"></param>
        /// <returns></returns>
        abstract public byte[] DataSetToExcel(DataSet ds);
    }
}
