﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.Library.Ext.TradeExtension
{
    ///<summary>
    /// 身份证信息
    ///</summary>
    public class IdInfo
    {
        ///<summary>
        /// 姓名
        ///</summary>
        public string Name { get; set; }
        ///<summary>
        /// 身份证号
        ///</summary>
        public string IdNo { get; set; }
        ///<summary>
        /// 性别
        ///</summary>
        public string Sex { get; set; }
        ///<summary>
        /// 民族
        ///</summary>
        public string Nation { get; set; }
        ///<summary>
        /// 生日
        ///</summary>
        public string Birth { get; set; }
        ///<summary>
        /// 地址
        ///</summary>
        public string Address { get; set; }
        ///<summary>
        /// 签发机构
        ///</summary>
        public string Issue { get; set; }
        ///<summary>
        /// 身份证有效起始日期
        ///</summary>
        public string UserLifeBegin { get; set; }
        ///<summary>
        /// 身份证有效结束日期
        ///</summary>
        public string UserLifeEnd { get; set; }
        ///<summary>
        /// 图片base64串
        ///</summary>
        public string ImageBase64 { get; set; }

    }
}
