/**
 * 身份证信息
 */
class IdInfo {
    /**
     * 姓名
     */
    Name: string;
    /**
     * 身份证号
     */
    IdNo: string;
    /**
     * 性别
     */
    Sex: string;
    /**
     * 民族
     */
    Nation: string;
    /**
     * 生日
     */
    Birth: string;
    /**
     * 地址
     */
    Address: string;
    /**
     * 签发机构
     */
    Issue: string;
    /**
     * 身份证有效起始日期
     */
    UserLifeBegin: string;
    /**
     * 身份证有效结束日期
     */
    UserLifeEnd: string;
    /**
     * 图片base64串
     */
    ImageBase64: string;

    constructor() {
        this.Name = "";
        this.IdNo = "";
        this.Sex = "";
        this.Nation = "";
        this.Birth = "";
        this.Address = "";
        this.Issue = "";
        this.UserLifeBegin = "";
        this.UserLifeEnd = "";
        this.ImageBase64 = "";
    }
}

export default IdInfo;