﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.Library.Ext.TradeExtension
{
   public  interface IExecuteWithObject
    {
        /// <summary>
        ///Action触发对象
        /// </summary>
        object Target
        {
            get;
        }

        /// <summary>
        ///执行Action
        /// </summary>
        /// <param name="parameter">
        /// Action参数
        /// </param>
        void ExecuteWithObject(object parameter);

        /// <summary>
        ///删除所有引用,通知清理方法
        /// </summary>
        void MarkForDeletion();
    }
}
