// 定义接口
interface IExecuteWithObject {
    /**
     * Action触发对象
     */
    getTarget(): object;

    /**
     * 执行Action
     * @param parameter Action参数
     */
    executeWithObject(parameter: object): void;

    /**
     * 删除所有引用,通知清理方法
     */
    markForDeletion(): void;
}

export { IExecuteWithObject };