﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;

namespace TellerSystem.Library.Ext.TradeExtension
{
    [NotificationAttribute("0", "公告消息")]
     class NotificationMessage:MessageBase
    {
        public NotificationMessage(MessageData data)
        {
            Sender = data.Sender;
            Time = data.Time;
            Key = data.Key;
            Title = data.Title;
        }

        public string Sender { get; set; }

        public string Time { get; set; }

        public string Key { get; set; }

        public string Title { get; set; }   
        
    }
}
