// 模拟依赖的类和方法
class NormalTradePage {}
class TradeServiceService {
    GetOutOfData(tradeNo: string, tradeType: string, keywords: string, branchNo: string): string | null {
        // 模拟实现，实际需根据业务实现
        return null;
    }
    SetOutOfData(outdataId: string, tradeNo: string, tradeType: string, keywords: string, outdata: string, tellerNo: string, branchNo: string): boolean {
        // 模拟实现，实际需根据业务实现
        return false;
    }
}
class TradePageExtension {
    static Deserialize<T>(page: NormalTradePage, str: string): T {
        // 模拟反序列化，实际需根据业务实现
        return JSON.parse(str) as T;
    }
    static Serialize(page: NormalTradePage, data: any): string {
        // 模拟序列化，实际需根据业务实现
        return JSON.stringify(data);
    }
}
class LoginUserInfo {
    static get KinbrNo(): string {
        // 模拟实现，实际需根据业务实现
        return "";
    }
    static get TellerNo(): string {
        // 模拟实现，实际需根据业务实现
        return "";
    }
}

// 定义 OutOfDataObject 类
export class OutOfDataObject {
    static page: NormalTradePage = new NormalTradePage();
    static dirt: { [key: string]: { [key: string]: string } } = {};
    static id: string = "";

    static GetOutofData(trade_type: string, keywords: string): { [key: string]: string } | null {
        // 原注释代码的逻辑实现
        // const outData: { [key: string]: string } = {};
        // const trade = new TradeServiceService();
        // const tradeNo = this.page.constructor.name;
        // const branch_no = LoginUserInfo.KinbrNo;

        // if (this.dirt) {
        //     if (this.dirt[keywords]) {
        //         return this.dirt[keywords];
        //     } else {
        //         const outstr = trade.GetOutOfData(tradeNo, trade_type, keywords, branch_no);
        //         if (outstr) {
        //             return TradePageExtension.Deserialize<{ [key: string]: string }>(this.page, outstr);
        //         }
        //     }
        // } else {
        //     const outstr = trade.GetOutOfData(tradeNo, trade_type, keywords, branch_no);
        //     if (outstr) {
        //         return TradePageExtension.Deserialize<{ [key: string]: string }>(this.page, outstr);
        //     }
        // }

        // return outData;

        // 当前实际实现
        return null;
    }

    static SetOutofData(trade_type: string, keywords: string, dirct: { [key: string]: string }): boolean {
        const outdataId = Math.random().toString(36).substr(2, 9);
        this.id = outdataId;
        const branch_no = LoginUserInfo.KinbrNo;
        const tradeNo = this.page.constructor.name;
        const tellerNo = LoginUserInfo.TellerNo.trim();
        const outdata = TradePageExtension.Serialize(this.page, dirct);
        const trade = new TradeServiceService();
        return trade.SetOutOfData(outdataId, tradeNo, trade_type, keywords, outdata, tellerNo, branch_no);
    }
}