﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Platform.Common.BasicFunctions;

namespace TellerSystem.Library.Ext.TradeExtension
{
    public sealed class TellerSystemEventAggregator : EventAggregator
    {
        private TellerSystemEventAggregator() : base()
        {
        }

        private static TellerSystemEventAggregator instance;

        public static TellerSystemEventAggregator Instance
        {
            get
            {
                if (instance == null)
                    instance = new TellerSystemEventAggregator();
                return instance;
            }
        }
    }
}
