﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Platform.Presentation.Interfaces;

namespace TellerSystem.Library.Ext.TradeInterfaces
{
    public static class MainPageManager
    {
        /// <summary>
        /// 主交易
        /// </summary>
        private static IMainPage _mainPage;
        /// <summary>
        /// 注册主交易
        /// </summary>
        /// <param name="mainPage"></param>
        public static void Regist(IMainPage mainPage)
        {
            if (_mainPage != null)
                throw new Exception("MainPage is Already Registed!");
            _mainPage = mainPage;
        }
        /// <summary>
        /// 取消注册
        /// </summary>
        public static void UnRegist()
        {
            _mainPage = null;
        }

        public static IMainPage GetMainPage()
        {
            return _mainPage;
        }
    }
}
