﻿using System.Collections.Generic;
using System.Windows;

namespace TellerSystem.PrintTemplate.Bankbook
{
    /// <summary>
    /// Interaction logic for DQCZFirstPage.xaml
    /// </summary>
    public partial class DQCZFirstPage
    {
       public DQCZFirstPage()
       {
           InitializeComponent();
       }


        /// <summary>
        /// 
        /// </summary>
        public void Setvalue()
        {
            if (SubAcData == null) return;
            if (SubAcData.Count != 7) return;
            SubAcData_1_1 = SubAcData[0].TxDate;
            SubAcData_1_2 = SubAcData[0].CurNo;
            SubAcData_1_3 = SubAcData[0].DespInfo;
            SubAcData_1_4 = SubAcData[0].BegDate;
            SubAcData_1_5 = SubAcData[0].DepoistType;
            SubAcData_1_6 = SubAcData[0].Term;
            SubAcData_1_7 = SubAcData[0].Amt;
            SubAcData_1_8 = SubAcData[0].RateAmt;
            SubAcData_1_9 = SubAcData[0].Teller;
            SubAcData_1_10 = SubAcData[0].Anotherbr;

            SubAcData_2_1 = SubAcData[1].TxDate;
            SubAcData_2_2 = SubAcData[1].CurNo;
            SubAcData_2_3 = SubAcData[1].DespInfo;
            SubAcData_2_4 = SubAcData[1].BegDate;
            SubAcData_2_5 = SubAcData[1].DepoistType;
            SubAcData_2_6 = SubAcData[1].Term;
            SubAcData_2_7 = SubAcData[1].Amt;
            SubAcData_2_8 = SubAcData[1].RateAmt;
            SubAcData_2_9 = SubAcData[1].Teller;
            SubAcData_2_10 = SubAcData[1].Anotherbr;

            SubAcData_3_1 = SubAcData[2].TxDate;
            SubAcData_3_2 = SubAcData[2].CurNo;
            SubAcData_3_3 = SubAcData[2].DespInfo;
            SubAcData_3_4 = SubAcData[2].BegDate;
            SubAcData_3_5 = SubAcData[2].DepoistType;
            SubAcData_3_6 = SubAcData[2].Term;
            SubAcData_3_7 = SubAcData[2].Amt;
            SubAcData_3_8 = SubAcData[2].RateAmt;
            SubAcData_3_9 = SubAcData[2].Teller;
            SubAcData_3_10 = SubAcData[2].Anotherbr;

            SubAcData_4_1 = SubAcData[3].TxDate;
            SubAcData_4_2 = SubAcData[3].CurNo;
            SubAcData_4_3 = SubAcData[3].DespInfo;
            SubAcData_4_4 = SubAcData[3].BegDate;
            SubAcData_4_5 = SubAcData[3].DepoistType;
            SubAcData_4_6 = SubAcData[3].Term;
            SubAcData_4_7 = SubAcData[3].Amt;
            SubAcData_4_8 = SubAcData[3].RateAmt;
            SubAcData_4_9 = SubAcData[3].Teller;
            SubAcData_4_10 = SubAcData[3].Anotherbr;

            SubAcData_5_1 = SubAcData[4].TxDate;
            SubAcData_5_2 = SubAcData[4].CurNo;
            SubAcData_5_3 = SubAcData[4].DespInfo;
            SubAcData_5_4 = SubAcData[4].BegDate;
            SubAcData_5_5 = SubAcData[4].DepoistType;
            SubAcData_5_6 = SubAcData[4].Term;
            SubAcData_5_7 = SubAcData[4].Amt;
            SubAcData_5_8 = SubAcData[4].RateAmt;
            SubAcData_5_9 = SubAcData[4].Teller;
            SubAcData_5_10 = SubAcData[4].Anotherbr;

            SubAcData_6_1 = SubAcData[5].TxDate;
            SubAcData_6_2 = SubAcData[5].CurNo;
            SubAcData_6_3 = SubAcData[5].DespInfo;
            SubAcData_6_4 = SubAcData[5].BegDate;
            SubAcData_6_5 = SubAcData[5].DepoistType;
            SubAcData_6_6 = SubAcData[5].Term;
            SubAcData_6_7 = SubAcData[5].Amt;
            SubAcData_6_8 = SubAcData[5].RateAmt;
            SubAcData_6_9 = SubAcData[5].Teller;
            SubAcData_6_10 = SubAcData[5].Anotherbr;

            SubAcData_7_1 = SubAcData[6].TxDate;
            SubAcData_7_2 = SubAcData[6].CurNo;
            SubAcData_7_3 = SubAcData[6].DespInfo;
            SubAcData_7_4 = SubAcData[6].BegDate;
            SubAcData_7_5 = SubAcData[6].DepoistType;
            SubAcData_7_6 = SubAcData[6].Term;
            SubAcData_7_7 = SubAcData[6].Amt;
            SubAcData_7_8 = SubAcData[6].RateAmt;
            SubAcData_7_9 = SubAcData[6].Teller;
            SubAcData_7_10 = SubAcData[6].Anotherbr;
         
        }

        #region   自定义属性

        /// <summary>
        /// 账号
        /// </summary>
        public string AcNo
        {
            get { return (string)GetValue(AcNoProperty); }
            set { SetValue(AcNoProperty, value); }
        }

        public static readonly DependencyProperty AcNoProperty =
            DependencyProperty.Register("AcNo", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 存折编号
        /// </summary>
        public string CzNo
        {
            get { return (string)GetValue(CzNoProperty); }
            set { SetValue(CzNoProperty, value); }
        }

        public static readonly DependencyProperty CzNoProperty =
            DependencyProperty.Register("CzNo", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 户名
        /// </summary>
        public string AccountName
        {
            get { return (string)GetValue(AccountNameProperty); }
            set { SetValue(AccountNameProperty, value); }
        }

        public static readonly DependencyProperty AccountNameProperty =
            DependencyProperty.Register("AccountName", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 支取方式
        /// </summary>
        public string DrawType
        {
            get { return (string)GetValue(DrawTypeProperty); }
            set { SetValue(DrawTypeProperty, value); }
        }

        public static readonly DependencyProperty DrawTypeProperty =
            DependencyProperty.Register("DrawType", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 经办人
        /// </summary>
        public string TellerNo
        {
            get { return (string)GetValue(TellerNoProperty); }
            set { SetValue(TellerNoProperty, value); }
        }

        public static readonly DependencyProperty TellerNoProperty =
            DependencyProperty.Register("TellerNo", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 签发日期
        /// </summary>
        public string DepartDate
        {
            get { return (string)GetValue(DepartDateProperty); }
            set { SetValue(DepartDateProperty, value); }
        }

        public static readonly DependencyProperty DepartDateProperty =
            DependencyProperty.Register("DepartDate", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 开户网点
        /// </summary>
        public string OpnBrno
        {
            get { return (string)GetValue(OpnBrnoProperty); }
            set { SetValue(OpnBrnoProperty, value); }
        }

        public static readonly DependencyProperty OpnBrnoProperty =
            DependencyProperty.Register("OpnBrno", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 户名
        /// </summary>
        public string AccountName1
        {
            get { return (string)GetValue(AccountName1Property); }
            set { SetValue(AccountName1Property, value); }
        }

        public static readonly DependencyProperty AccountName1Property =
            DependencyProperty.Register("AccountName1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 账号序号
        /// </summary>
        public string AcSeqn1
        {
            get { return (string)GetValue(AcSeqn1Property); }
            set { SetValue(AcSeqn1Property, value); }
        }

        public static readonly DependencyProperty AcSeqn1Property =
            DependencyProperty.Register("AcSeqn1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 币种
        /// </summary>
        public string CurNo1
        {
            get { return (string)GetValue(CurNo1Property); }
            set { SetValue(CurNo1Property, value); }
        }

        public static readonly DependencyProperty CurNo1Property =
            DependencyProperty.Register("CurNo1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 金额
        /// </summary>
        public string Amt1
        {
            get { return (string)GetValue(Amt1Property); }
            set { SetValue(Amt1Property, value); }
        }

        public static readonly DependencyProperty Amt1Property =
            DependencyProperty.Register("Amt1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 交易日期
        /// </summary>
        public string OpnDate1
        {
            get { return (string)GetValue(OpnDate1Property); }
            set { SetValue(OpnDate1Property, value); }
        }

        public static readonly DependencyProperty OpnDate1Property =
            DependencyProperty.Register("OpnDate1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 到期日期
        /// </summary>
        public string DualDate1
        {
            get { return (string)GetValue(DualDate1Property); }
            set { SetValue(DualDate1Property, value); }
        }

        public static readonly DependencyProperty DualDate1Property =
            DependencyProperty.Register("DualDate1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 存期
        /// </summary>
        public string Term1
        {
            get { return (string)GetValue(Term1Property); }
            set { SetValue(Term1Property, value); }
        }

        public static readonly DependencyProperty Term1Property =
            DependencyProperty.Register("Term1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 利率
        /// </summary>
        public string Rate1
        {
            get { return (string)GetValue(Rate1Property); }
            set { SetValue(Rate1Property, value); }
        }

        public static readonly DependencyProperty Rate1Property =
            DependencyProperty.Register("Rate1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));

        /// <summary>
        /// 自动转存标志
        /// </summary>
        public string AutoFlag1
        {
            get { return (string)GetValue(AutoFlag1Property); }
            set { SetValue(AutoFlag1Property, value); }
        }

        public static readonly DependencyProperty AutoFlag1Property =
            DependencyProperty.Register("AutoFlag1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));


        /// <summary>
        /// 转到第几页
        /// </summary>
        public string ChangePageStr
        {
            get { return (string)GetValue(ChangePageStrProperty); }
            set { SetValue(ChangePageStrProperty, value); }
        }

        public static readonly DependencyProperty ChangePageStrProperty =
            DependencyProperty.Register("ChangePageStr", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));


        #endregion



        /// <summary>
        /// 子账户数据
        /// </summary>
        public List<DQCZSubAcEntity> SubAcData;

        #region 第一行
        public string SubAcData_1_1
        {
            get { return (string)GetValue(SubAcData_1_1Property); }
            //get { return _subAcData[0].TxDate; }
            set { SetValue(SubAcData_1_1Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_1Property =
            DependencyProperty.Register("SubAcData_1_1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_2
        {
            get { return (string)GetValue(SubAcData_1_2Property); }
            // get { return _subAcData[0].CurNo; }
            set { SetValue(SubAcData_1_2Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_2Property =
            DependencyProperty.Register("SubAcData_1_2", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_3
        {
            get { return (string)GetValue(SubAcData_1_3Property); }
            //get { return _subAcData[0].DespInfo; }
            set { SetValue(SubAcData_1_3Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_3Property =
            DependencyProperty.Register("SubAcData_1_3", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_4
        {
            get { return (string)GetValue(SubAcData_1_4Property); }
            // get { return _subAcData[0].BegDate; }
            set { SetValue(SubAcData_1_4Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_4Property =
            DependencyProperty.Register("SubAcData_1_4", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_5
        {
            get { return (string)GetValue(SubAcData_1_5Property); }
            //get { return _subAcData[0].DepoistType; }
            set { SetValue(SubAcData_1_5Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_5Property =
            DependencyProperty.Register("SubAcData_1_5", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_6
        {
            get { return (string)GetValue(SubAcData_1_6Property); }
            // get { return _subAcData[0].Term; }
            set { SetValue(SubAcData_1_6Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_6Property =
            DependencyProperty.Register("SubAcData_1_6", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_7
        {
            get { return (string)GetValue(SubAcData_1_7Property); }
            // get { return _subAcData[0].Amt; }
            set { SetValue(SubAcData_1_7Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_7Property =
            DependencyProperty.Register("SubAcData_1_7", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_8
        {
            get { return (string)GetValue(SubAcData_1_8Property); }
            // get { return _subAcData[0].RateAmt; }
            set { SetValue(SubAcData_1_8Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_8Property =
            DependencyProperty.Register("SubAcData_1_8", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_9
        {
            get { return (string)GetValue(SubAcData_1_9Property); }
            // get { return _subAcData[0].Teller; }
            set { SetValue(SubAcData_1_9Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_9Property =
            DependencyProperty.Register("SubAcData_1_9", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_1_10
        {
            get { return (string)GetValue(SubAcData_1_10Property); }
            // get { return _subAcData[0].Anotherbr; }
            set { SetValue(SubAcData_1_10Property, value); }
        }

        public static readonly DependencyProperty SubAcData_1_10Property =
            DependencyProperty.Register("SubAcData_1_10", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty)); 
        #endregion

        #region 第二行
        public string SubAcData_2_1
        {
            get { return (string)GetValue(SubAcData_2_1Property); }
            //get { return _subAcData[0].TxDate; }
            set { SetValue(SubAcData_2_1Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_1Property =
            DependencyProperty.Register("SubAcData_2_1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_2
        {
            get { return (string)GetValue(SubAcData_2_2Property); }
            // get { return _subAcData[0].CurNo; }
            set { SetValue(SubAcData_2_2Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_2Property =
            DependencyProperty.Register("SubAcData_2_2", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_3
        {
            get { return (string)GetValue(SubAcData_2_3Property); }
            //get { return _subAcData[0].DespInfo; }
            set { SetValue(SubAcData_2_3Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_3Property =
            DependencyProperty.Register("SubAcData_2_3", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_4
        {
            get { return (string)GetValue(SubAcData_2_4Property); }
            // get { return _subAcData[0].BegDate; }
            set { SetValue(SubAcData_2_4Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_4Property =
            DependencyProperty.Register("SubAcData_2_4", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_5
        {
            get { return (string)GetValue(SubAcData_2_5Property); }
            //get { return _subAcData[0].DepoistType; }
            set { SetValue(SubAcData_2_5Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_5Property =
            DependencyProperty.Register("SubAcData_2_5", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_6
        {
            get { return (string)GetValue(SubAcData_2_6Property); }
            // get { return _subAcData[0].Term; }
            set { SetValue(SubAcData_2_6Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_6Property =
            DependencyProperty.Register("SubAcData_2_6", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_7
        {
            get { return (string)GetValue(SubAcData_2_7Property); }
            // get { return _subAcData[0].Amt; }
            set { SetValue(SubAcData_2_7Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_7Property =
            DependencyProperty.Register("SubAcData_2_7", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_8
        {
            get { return (string)GetValue(SubAcData_2_8Property); }
            // get { return _subAcData[0].RateAmt; }
            set { SetValue(SubAcData_2_8Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_8Property =
            DependencyProperty.Register("SubAcData_2_8", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_9
        {
            get { return (string)GetValue(SubAcData_2_9Property); }
            // get { return _subAcData[0].Teller; }
            set { SetValue(SubAcData_2_9Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_9Property =
            DependencyProperty.Register("SubAcData_2_9", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_2_10
        {
            get { return (string)GetValue(SubAcData_2_10Property); }
            // get { return _subAcData[0].Anotherbr; }
            set { SetValue(SubAcData_2_10Property, value); }
        }

        public static readonly DependencyProperty SubAcData_2_10Property =
            DependencyProperty.Register("SubAcData_2_10", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        #endregion

        #region 第三行
        public string SubAcData_3_1
        {
            get { return (string)GetValue(SubAcData_3_1Property); }
            //get { return _subAcData[0].TxDate; }
            set { SetValue(SubAcData_3_1Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_1Property =
            DependencyProperty.Register("SubAcData_3_1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_2
        {
            get { return (string)GetValue(SubAcData_3_2Property); }
            // get { return _subAcData[0].CurNo; }
            set { SetValue(SubAcData_3_2Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_2Property =
            DependencyProperty.Register("SubAcData_3_2", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_3
        {
            get { return (string)GetValue(SubAcData_3_3Property); }
            //get { return _subAcData[0].DespInfo; }
            set { SetValue(SubAcData_3_3Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_3Property =
            DependencyProperty.Register("SubAcData_3_3", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_4
        {
            get { return (string)GetValue(SubAcData_3_4Property); }
            // get { return _subAcData[0].BegDate; }
            set { SetValue(SubAcData_3_4Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_4Property =
            DependencyProperty.Register("SubAcData_3_4", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_5
        {
            get { return (string)GetValue(SubAcData_3_5Property); }
            //get { return _subAcData[0].DepoistType; }
            set { SetValue(SubAcData_3_5Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_5Property =
            DependencyProperty.Register("SubAcData_3_5", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_6
        {
            get { return (string)GetValue(SubAcData_3_6Property); }
            // get { return _subAcData[0].Term; }
            set { SetValue(SubAcData_3_6Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_6Property =
            DependencyProperty.Register("SubAcData_3_6", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_7
        {
            get { return (string)GetValue(SubAcData_3_7Property); }
            // get { return _subAcData[0].Amt; }
            set { SetValue(SubAcData_3_7Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_7Property =
            DependencyProperty.Register("SubAcData_3_7", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_8
        {
            get { return (string)GetValue(SubAcData_3_8Property); }
            // get { return _subAcData[0].RateAmt; }
            set { SetValue(SubAcData_3_8Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_8Property =
            DependencyProperty.Register("SubAcData_3_8", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_9
        {
            get { return (string)GetValue(SubAcData_3_9Property); }
            // get { return _subAcData[0].Teller; }
            set { SetValue(SubAcData_3_9Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_9Property =
            DependencyProperty.Register("SubAcData_3_9", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_3_10
        {
            get { return (string)GetValue(SubAcData_3_10Property); }
            // get { return _subAcData[0].Anotherbr; }
            set { SetValue(SubAcData_3_10Property, value); }
        }

        public static readonly DependencyProperty SubAcData_3_10Property =
            DependencyProperty.Register("SubAcData_3_10", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        #endregion

        #region 第四行
        public string SubAcData_4_1
        {
            get { return (string)GetValue(SubAcData_4_1Property); }
            //get { return _subAcData[0].TxDate; }
            set { SetValue(SubAcData_4_1Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_1Property =
            DependencyProperty.Register("SubAcData_4_1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_2
        {
            get { return (string)GetValue(SubAcData_4_2Property); }
            // get { return _subAcData[0].CurNo; }
            set { SetValue(SubAcData_4_2Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_2Property =
            DependencyProperty.Register("SubAcData_4_2", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_3
        {
            get { return (string)GetValue(SubAcData_4_3Property); }
            //get { return _subAcData[0].DespInfo; }
            set { SetValue(SubAcData_4_3Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_3Property =
            DependencyProperty.Register("SubAcData_4_3", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_4
        {
            get { return (string)GetValue(SubAcData_4_4Property); }
            // get { return _subAcData[0].BegDate; }
            set { SetValue(SubAcData_4_4Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_4Property =
            DependencyProperty.Register("SubAcData_4_4", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_5
        {
            get { return (string)GetValue(SubAcData_4_5Property); }
            //get { return _subAcData[0].DepoistType; }
            set { SetValue(SubAcData_4_5Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_5Property =
            DependencyProperty.Register("SubAcData_4_5", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_6
        {
            get { return (string)GetValue(SubAcData_4_6Property); }
            // get { return _subAcData[0].Term; }
            set { SetValue(SubAcData_4_6Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_6Property =
            DependencyProperty.Register("SubAcData_4_6", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_7
        {
            get { return (string)GetValue(SubAcData_4_7Property); }
            // get { return _subAcData[0].Amt; }
            set { SetValue(SubAcData_4_7Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_7Property =
            DependencyProperty.Register("SubAcData_4_7", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_8
        {
            get { return (string)GetValue(SubAcData_4_8Property); }
            // get { return _subAcData[0].RateAmt; }
            set { SetValue(SubAcData_4_8Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_8Property =
            DependencyProperty.Register("SubAcData_4_8", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_9
        {
            get { return (string)GetValue(SubAcData_4_9Property); }
            // get { return _subAcData[0].Teller; }
            set { SetValue(SubAcData_4_9Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_9Property =
            DependencyProperty.Register("SubAcData_4_9", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_4_10
        {
            get { return (string)GetValue(SubAcData_4_10Property); }
            // get { return _subAcData[0].Anotherbr; }
            set { SetValue(SubAcData_4_10Property, value); }
        }

        public static readonly DependencyProperty SubAcData_4_10Property =
            DependencyProperty.Register("SubAcData_4_10", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        #endregion

        #region 第五行
        public string SubAcData_5_1
        {
            get { return (string)GetValue(SubAcData_5_1Property); }
            //get { return _subAcData[0].TxDate; }
            set { SetValue(SubAcData_5_1Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_1Property =
            DependencyProperty.Register("SubAcData_5_1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_2
        {
            get { return (string)GetValue(SubAcData_5_2Property); }
            // get { return _subAcData[0].CurNo; }
            set { SetValue(SubAcData_5_2Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_2Property =
            DependencyProperty.Register("SubAcData_5_2", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_3
        {
            get { return (string)GetValue(SubAcData_5_3Property); }
            //get { return _subAcData[0].DespInfo; }
            set { SetValue(SubAcData_5_3Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_3Property =
            DependencyProperty.Register("SubAcData_5_3", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_4
        {
            get { return (string)GetValue(SubAcData_5_4Property); }
            // get { return _subAcData[0].BegDate; }
            set { SetValue(SubAcData_5_4Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_4Property =
            DependencyProperty.Register("SubAcData_5_4", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_5
        {
            get { return (string)GetValue(SubAcData_5_5Property); }
            //get { return _subAcData[0].DepoistType; }
            set { SetValue(SubAcData_5_5Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_5Property =
            DependencyProperty.Register("SubAcData_5_5", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_6
        {
            get { return (string)GetValue(SubAcData_5_6Property); }
            // get { return _subAcData[0].Term; }
            set { SetValue(SubAcData_5_6Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_6Property =
            DependencyProperty.Register("SubAcData_5_6", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_7
        {
            get { return (string)GetValue(SubAcData_5_7Property); }
            // get { return _subAcData[0].Amt; }
            set { SetValue(SubAcData_5_7Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_7Property =
            DependencyProperty.Register("SubAcData_5_7", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_8
        {
            get { return (string)GetValue(SubAcData_5_8Property); }
            // get { return _subAcData[0].RateAmt; }
            set { SetValue(SubAcData_5_8Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_8Property =
            DependencyProperty.Register("SubAcData_5_8", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_9
        {
            get { return (string)GetValue(SubAcData_5_9Property); }
            // get { return _subAcData[0].Teller; }
            set { SetValue(SubAcData_5_9Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_9Property =
            DependencyProperty.Register("SubAcData_5_9", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_5_10
        {
            get { return (string)GetValue(SubAcData_5_10Property); }
            // get { return _subAcData[0].Anotherbr; }
            set { SetValue(SubAcData_5_10Property, value); }
        }

        public static readonly DependencyProperty SubAcData_5_10Property =
            DependencyProperty.Register("SubAcData_5_10", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        #endregion

        #region 第六行
        public string SubAcData_6_1
        {
            get { return (string)GetValue(SubAcData_6_1Property); }
            //get { return _subAcData[0].TxDate; }
            set { SetValue(SubAcData_6_1Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_1Property =
            DependencyProperty.Register("SubAcData_6_1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_2
        {
            get { return (string)GetValue(SubAcData_6_2Property); }
            // get { return _subAcData[0].CurNo; }
            set { SetValue(SubAcData_6_2Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_2Property =
            DependencyProperty.Register("SubAcData_6_2", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_3
        {
            get { return (string)GetValue(SubAcData_6_3Property); }
            //get { return _subAcData[0].DespInfo; }
            set { SetValue(SubAcData_6_3Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_3Property =
            DependencyProperty.Register("SubAcData_6_3", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_4
        {
            get { return (string)GetValue(SubAcData_6_4Property); }
            // get { return _subAcData[0].BegDate; }
            set { SetValue(SubAcData_6_4Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_4Property =
            DependencyProperty.Register("SubAcData_6_4", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_5
        {
            get { return (string)GetValue(SubAcData_6_5Property); }
            //get { return _subAcData[0].DepoistType; }
            set { SetValue(SubAcData_6_5Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_5Property =
            DependencyProperty.Register("SubAcData_6_5", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_6
        {
            get { return (string)GetValue(SubAcData_6_6Property); }
            // get { return _subAcData[0].Term; }
            set { SetValue(SubAcData_6_6Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_6Property =
            DependencyProperty.Register("SubAcData_6_6", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_7
        {
            get { return (string)GetValue(SubAcData_6_7Property); }
            // get { return _subAcData[0].Amt; }
            set { SetValue(SubAcData_6_7Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_7Property =
            DependencyProperty.Register("SubAcData_6_7", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_8
        {
            get { return (string)GetValue(SubAcData_6_8Property); }
            // get { return _subAcData[0].RateAmt; }
            set { SetValue(SubAcData_6_8Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_8Property =
            DependencyProperty.Register("SubAcData_6_8", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_9
        {
            get { return (string)GetValue(SubAcData_6_9Property); }
            // get { return _subAcData[0].Teller; }
            set { SetValue(SubAcData_6_9Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_9Property =
            DependencyProperty.Register("SubAcData_6_9", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_6_10
        {
            get { return (string)GetValue(SubAcData_6_10Property); }
            // get { return _subAcData[0].Anotherbr; }
            set { SetValue(SubAcData_6_10Property, value); }
        }

        public static readonly DependencyProperty SubAcData_6_10Property =
            DependencyProperty.Register("SubAcData_6_10", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        #endregion

        #region 第七行
        public string SubAcData_7_1
        {
            get { return (string)GetValue(SubAcData_7_1Property); }
            //get { return _subAcData[0].TxDate; }
            set { SetValue(SubAcData_7_1Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_1Property =
            DependencyProperty.Register("SubAcData_7_1", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_2
        {
            get { return (string)GetValue(SubAcData_7_2Property); }
            // get { return _subAcData[0].CurNo; }
            set { SetValue(SubAcData_7_2Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_2Property =
            DependencyProperty.Register("SubAcData_7_2", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_3
        {
            get { return (string)GetValue(SubAcData_7_3Property); }
            //get { return _subAcData[0].DespInfo; }
            set { SetValue(SubAcData_7_3Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_3Property =
            DependencyProperty.Register("SubAcData_7_3", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_4
        {
            get { return (string)GetValue(SubAcData_7_4Property); }
            // get { return _subAcData[0].BegDate; }
            set { SetValue(SubAcData_7_4Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_4Property =
            DependencyProperty.Register("SubAcData_7_4", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_5
        {
            get { return (string)GetValue(SubAcData_7_5Property); }
            //get { return _subAcData[0].DepoistType; }
            set { SetValue(SubAcData_7_5Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_5Property =
            DependencyProperty.Register("SubAcData_7_5", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_6
        {
            get { return (string)GetValue(SubAcData_7_6Property); }
            // get { return _subAcData[0].Term; }
            set { SetValue(SubAcData_7_6Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_6Property =
            DependencyProperty.Register("SubAcData_7_6", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_7
        {
            get { return (string)GetValue(SubAcData_7_7Property); }
            // get { return _subAcData[0].Amt; }
            set { SetValue(SubAcData_7_7Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_7Property =
            DependencyProperty.Register("SubAcData_7_7", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_8
        {
            get { return (string)GetValue(SubAcData_7_8Property); }
            // get { return _subAcData[0].RateAmt; }
            set { SetValue(SubAcData_7_8Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_8Property =
            DependencyProperty.Register("SubAcData_7_8", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_9
        {
            get { return (string)GetValue(SubAcData_7_9Property); }
            // get { return _subAcData[0].Teller; }
            set { SetValue(SubAcData_7_9Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_9Property =
            DependencyProperty.Register("SubAcData_7_9", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        public string SubAcData_7_10
        {
            get { return (string)GetValue(SubAcData_7_10Property); }
            // get { return _subAcData[0].Anotherbr; }
            set { SetValue(SubAcData_7_10Property, value); }
        }

        public static readonly DependencyProperty SubAcData_7_10Property =
            DependencyProperty.Register("SubAcData_7_10", typeof(string), typeof(DQCZFirstPage), new UIPropertyMetadata(string.Empty));
        #endregion
    }
}
