﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Platform.Print;
using TellerSystem.Communication;

namespace TellerSystem.PrintTemplate.Bankbook.Interface
{
    /// <summary>
    /// 存折打印接口
    /// </summary>
    public interface IBankbook
    {
        /// <summary>
        /// 打印首页方式
        /// </summary>
        /// <returns></returns>
        List<PrintContainer> PrintFirstPage(Message msg);

        /// <summary>
        /// 打印数据页
        /// </summary>
        /// <returns></returns>
        List<PrintContainer> PrintPage(Message msg);
    }
}
