﻿using System;

namespace TellerSystem.PrintTemplate.ElecSeal.Cfca
{
    /// <summary>
    /// 文本域类
    /// </summary>
    public class FieldBean
        {
            private String fieldId;
            private String fieldName;
            private String fieldValue;
            private String fieldValueHash;
            private String fieldType;
            private int templateIndex;


            public String GetFieldId()
            {
                return fieldId;
            }
            public void SetFieldId(String fieldId)
            {
                this.fieldId = fieldId;
            }
            public String GetFieldName()
            {
                return fieldName;
            }
            public void SetFieldName(String fieldName)
            {
                this.fieldName = fieldName;
            }
            public String GetFieldValue()
            {
                return fieldValue;
            }
            public void SetFieldValue(String fieldValue)
            {
                this.fieldValue = fieldValue;
            }
            public String GetFieldValueHash()
            {
                return fieldValueHash;
            }
            public void SetFieldValueHash(String fieldValueHash)
            {
                this.fieldValueHash = fieldValueHash;
            }
            public String GetFieldType()
            {
                return fieldType;
            }
            public void SetFieldType(String fieldType)
            {
                this.fieldType = fieldType;
            }

            public int GetTemplateIndex()
            {
                return templateIndex;
            }
            public void SetTemplateIndex(int templateIndex)
            {
                this.templateIndex = templateIndex;
            }
            public FieldBean(String fieldId, String fieldValue, String fieldValueHash, String fieldType)
            {

                this.fieldId = fieldId;
                this.fieldValue = fieldValue;
                this.fieldValueHash = fieldValueHash;
                this.fieldType = fieldType;
                this.templateIndex = 0;
            }
            public FieldBean(String fieldId, String fieldValue, String fieldValueHash, String fieldType, int templateIndex)
            {

                this.fieldId = fieldId;
                this.fieldValue = fieldValue;
                this.fieldValueHash = fieldValueHash;
                this.fieldType = fieldType;
                this.templateIndex = templateIndex;
            }
            public FieldBean(String fieldId, String fieldName, String fieldValue, String fieldValueHash, String fieldType)
            {

                this.fieldId = fieldId;
                this.fieldName = fieldName;
                this.fieldValue = fieldValue;
                this.fieldValueHash = fieldValueHash;
                this.fieldType = fieldType;
                this.templateIndex = 0;
            }
        }
    }

