﻿using System;

namespace TellerSystem.PrintTemplate.ElecSeal.Cfca
{
    /// <summary>
    /// 图片bean类
    /// </summary>
    public class ImageBean
    {

        private String imageWidth;
        private String imageHeight;
        private int pageNo = 1;
        private String lx;
        private String ly;
        private String value;
        private String hash;
        private String type;
        private String keyword;
        private String locationStyle;
        private int offsetX;
        private int offsetY;
        private int templateIndex;

        public ImageBean(String imageWidth, String imageHeight, int pageNo, String lx, String ly, String value)
        {

            this.imageWidth = imageWidth;
            this.imageHeight = imageHeight;
            this.pageNo = pageNo;
            this.lx = lx;
            this.ly = ly;
            this.value = value;
            this.type = "2";
            this.templateIndex = 0;
        }

        public ImageBean(String imageWidth, String imageHeight, int pageNo, String lx, String ly, String value, int templateIndex)
        {

            this.imageWidth = imageWidth;
            this.imageHeight = imageHeight;
            this.pageNo = pageNo;
            this.lx = lx;
            this.ly = ly;
            this.value = value;
            this.type = "2";
            this.templateIndex = templateIndex;
        }

        public ImageBean(String imageWidth, String imageHeight, String keyword, String locationStyle, int offsetX, int offsetY, String value)
        {
            this.imageHeight = imageHeight;
            this.imageWidth = imageWidth;
            this.keyword = keyword;
            this.locationStyle = locationStyle;
            this.offsetX = offsetX;
            this.offsetY = offsetY;
            this.value = value;
            this.type = "3";
            this.templateIndex = 0;
        }

        public ImageBean(String imageWidth, String imageHeight, String keyword, String locationStyle, int offsetX, int offsetY, String value, int templateIndex)
        {
            this.imageHeight = imageHeight;
            this.imageWidth = imageWidth;
            this.keyword = keyword;
            this.locationStyle = locationStyle;
            this.offsetX = offsetX;
            this.offsetY = offsetY;
            this.value = value;
            this.type = "3";
            this.templateIndex = templateIndex;
        }


        public String GetImageWidth()
        {
            return imageWidth;
        }

        public void SetImageWidth(String imageWidth)
        {
            this.imageWidth = imageWidth;
        }

        public String GetImageHeight()
        {
            return imageHeight;
        }

        public void SetImageHeight(String imageHeight)
        {
            this.imageHeight = imageHeight;
        }

        public String GetLx()
        {
            return lx;
        }

        public void SetLx(String lx)
        {
            this.lx = lx;
        }

        public String GetLy()
        {
            return ly;
        }

        public void SetLy(String ly)
        {
            this.ly = ly;
        }

        public String GetValue()
        {
            return value;
        }

        public void SetValue(String value)
        {
            this.value = value;
        }

        public String GetHash()
        {
            return hash;
        }

        public void SetHash(String hash)
        {
            this.hash = hash;
        }

        public int GetPageNo()
        {
            return pageNo;
        }

        public void SetPageNo(int pageNo)
        {
            this.pageNo = pageNo;
        }

        public String GetType()
        {
            return type;
        }
        public void SetType(String type)
        {
            this.type = type;
        }
        public String GetKeyword()
        {
            return keyword;
        }
        public void SetKeyword(String keyword)
        {
            this.keyword = keyword;
        }
        public String GetLocationStyle()
        {
            return locationStyle;
        }
        public void SetLocationStyle(String locationStyle)
        {
            this.locationStyle = locationStyle;
        }
        public int GetOffsetX()
        {
            return offsetX;
        }
        public void SetOffsetX(int offsetX)
        {
            this.offsetX = offsetX;
        }
        public int GetOffsetY()
        {
            return offsetY;
        }
        public void SetOffsetY(int offsetY)
        {
            this.offsetY = offsetY;
        }

        public int GetTemplateIndex()
        {
            return templateIndex;
        }

        public void SetTemplateIndex(int templateIndex)
        {
            this.templateIndex = templateIndex;
        }

    }
}
