﻿using iTextSharp.text;

namespace TellerSystem.PrintTemplate.ElecSeal.Cfca
{
    public class ImageLocationBean
    {
        private string type;
        private int pageNo;
        private int lx;
        private int ly;
        private string keyword;
        private string locationStyle;
        private int offsetX;
        private int offsetY;
        private int templateIndex;
        private Image image;

        public ImageLocationBean()
        {

        }
        public ImageLocationBean(Image image)
        {
            this.image = image;
        }
        public ImageLocationBean(Image image, string keyword, string locationStyle, int offsetX, int offsetY)
        {
            this.image = image;
            this.keyword = keyword;
            this.locationStyle = locationStyle;
            this.offsetX = offsetX;
            this.offsetY = offsetY;
            this.type = "3";
        }
        public ImageLocationBean(Image image, int lx, int ly, int pageNo)
        {
            this.image = image;
            this.lx = lx;
            this.ly = ly;
            this.pageNo = pageNo;
            this.type = "2";
        }

        public string Type
        {
            get
            {
                return type;
            }

            set
            {
                type = value;
            }
        }

        public int PageNo
        {
            get
            {
                return pageNo;
            }

            set
            {
                pageNo = value;
            }
        }

        public int Lx
        {
            get
            {
                return lx;
            }

            set
            {
                lx = value;
            }
        }

        public int Ly
        {
            get
            {
                return ly;
            }

            set
            {
                ly = value;
            }
        }

        public string Keyword
        {
            get
            {
                return keyword;
            }

            set
            {
                keyword = value;
            }
        }

        public string LocationStyle
        {
            get
            {
                return locationStyle;
            }

            set
            {
                locationStyle = value;
            }
        }

        public int OffsetX
        {
            get
            {
                return offsetX;
            }

            set
            {
                offsetX = value;
            }
        }

        public int OffsetY
        {
            get
            {
                return offsetY;
            }

            set
            {
                offsetY = value;
            }
        }

        public int TemplateIndex
        {
            get
            {
                return templateIndex;
            }

            set
            {
                templateIndex = value;
            }
        }

        public Image Image
        {
            get
            {
                return image;
            }

            set
            {
                image = value;
            }
        }
    }
}
