﻿using System;

namespace TellerSystem.PrintTemplate.ElecSeal.Cfca
{
    /// <summary>
    /// Pdf类
    /// </summary>
    public class PdfBean
    {

        private String pdf;
        private String pdfId = "";
        private String savedPdfId = "";
        private String bizSerialNo = "";
        private String bizTypeCode = "";
        private String outputFilePath = "";

        private String cardNo = "";
        private String reserved1 = "";
        private String reserved2 = "";
        private String reserved3 = "";

        public PdfBean(String pdf)
        {
            this.pdf = pdf;
        }
        public PdfBean(String pdf, String bizTypeCode)
        {
            this.pdf = pdf;
            this.bizTypeCode = bizTypeCode;
        }
        public PdfBean(String pdfId, String bizSerialNo,String bizTypeCode)
        {
            this.pdf = pdf;
            this.bizSerialNo = bizSerialNo;
            this.bizTypeCode = bizTypeCode;
        }

        public PdfBean(String pdf, String bizSerialNo, String bizTypeCode, String outputFilePath, String cardNo)
        {
            this.pdf = pdf;
            this.bizSerialNo = bizSerialNo;
            this.bizTypeCode = bizTypeCode;
            this.outputFilePath = outputFilePath;
            this.cardNo = cardNo;
        }

        public PdfBean(String pdf, String savedPdfId, String bizSerialNo, String bizTypeCode, String outputFilePath, String cardNo)
        {
            this.pdf = pdf;
            this.savedPdfId = savedPdfId;
            this.bizSerialNo = bizSerialNo;
            this.bizTypeCode = bizTypeCode;
            this.outputFilePath = outputFilePath;
            this.cardNo = cardNo;
        }
        public PdfBean(String pdf, String bizSerialNo, String bizTypeCode, String outputFilePath)
        {
            this.pdf = pdf;
            this.bizSerialNo = bizSerialNo;
            this.bizTypeCode = bizTypeCode;
            this.outputFilePath = outputFilePath;
        }

        public String GetPdf()
        {
            return pdf;
        }

        public void SetPdf(String pdf)
        {
            this.pdf = pdf;
        }

        public String GetSavedPdfId()
        {
            return savedPdfId;
        }

        public void SetSavedPdfId(String savedPdfId)
        {
            this.savedPdfId = savedPdfId;
        }

        public String GetBizSerialNo()
        {
            return bizSerialNo;
        }

        public void SetPdfId(String pdfId)
        {
            this.pdfId = pdfId;
        }

        public String GetPdfId()
        {
            return pdfId;
        }

        public void SetBizSerialNo(String bizSerialNo)
        {
            this.bizSerialNo = bizSerialNo;
        }

        public String GetBizTypeCode()
        {
            return bizTypeCode;
        }

        public void SetBizTypeCode(String bizTypeCode)
        {
            this.bizTypeCode = bizTypeCode;
        }

        public String GetOutputFilePath()
        {
            return outputFilePath;
        }

        public void SetOutputFilePath(String outputFilePath)
        {
            this.outputFilePath = outputFilePath;
        }

        public String GetCardNo()
        {
            return cardNo;
        }

        public void SetCardNo(String cardNo)
        {
            this.cardNo = cardNo;
        }

        public String GetReserved1()
        {
            return reserved1;
        }

        public void SetReserved1(String reserved1)
        {
            this.reserved1 = reserved1;
        }

        public String GetReserved2()
        {
            return reserved2;
        }

        public void SetReserved2(String reserved2)
        {
            this.reserved2 = reserved2;
        }

        public String GetReserved3()
        {
            return reserved3;
        }

        public void SetReserved3(String reserved3)
        {
            this.reserved3 = reserved3;
        }


    }
}
