﻿using System;

namespace TellerSystem.PrintTemplate.ElecSeal.Cfca
{
    /// <summary>
    /// 二维码Bean类
    /// </summary>
    public class QRCodeBean
    {
        private String qrCodeContent;
        private String width;
        private String height;
        private int pageNo = 1;
        private String lx;
        private String ly;
        private int templateIndex;

        public String GetQrCodeContent()
        {
            return qrCodeContent;
        }
        public void SetQrCodeContent(String qrCodeContent)
        {
            this.qrCodeContent = qrCodeContent;
        }
        public String GetWidth()
        {
            return width;
        }
        public void SetWidth(String width)
        {
            this.width = width;
        }
        public String GetHeight()
        {
            return height;
        }
        public void SetHeight(String height)
        {
            this.height = height;
        }

        public int GetPageNo()
        {
            return pageNo;
        }
        public void SetPageNo(int pageNo)
        {
            this.pageNo = pageNo;
        }

        public String GetLx()
        {
            return lx;
        }
        public void SetLx(String lx)
        {
            this.lx = lx;
        }
        public String GetLy()
        {
            return ly;
        }
        public void SetLy(String ly)
        {
            this.ly = ly;
        }
        public int GetTemplateIndex()
        {
            return templateIndex;
        }
        public void SetTemplateIndex(int templateIndex)
        {
            this.templateIndex = templateIndex;
        }
        public QRCodeBean(String width, String height, int pageNo, String lx, String ly)
        {

            this.width = width;
            this.height = height;
            this.pageNo = pageNo;
            this.lx = lx;
            this.ly = ly;
        }

        public QRCodeBean(String qrCodeContent, String width, String height, int pageNo, String lx, String ly)
        {

            this.qrCodeContent = qrCodeContent;
            this.width = width;
            this.height = height;
            this.pageNo = pageNo;
            this.lx = lx;
            this.ly = ly;
        }

        public QRCodeBean(String qrCodeContent, String width, String height, int pageNo, String lx, String ly, int templateIndex)
        {

            this.qrCodeContent = qrCodeContent;
            this.width = width;
            this.height = height;
            this.pageNo = pageNo;
            this.lx = lx;
            this.ly = ly;
            this.templateIndex = templateIndex;
        }

    }
}
