﻿using System;

namespace TellerSystem.PrintTemplate.ElecSeal.Cfca
{
    /// <summary>
    /// 印章用户信息类
    /// </summary>
    public class SealUserInfo
    {

        private String userName;

        private String identificationType;

        private String identificationNo;

        private String phoneNo;

        private String sealLocation;

        private String sealReason;

        public SealUserInfo(String userName, String identificationType, String identificationNo, String phoneNo, String sealLocation, String sealReason)
        {
            this.userName = userName;
            this.identificationType = identificationType;
            this.identificationNo = identificationNo;
            this.phoneNo = phoneNo;
            this.sealLocation = sealLocation;
            this.sealReason = sealReason;
        }

        public SealUserInfo(String userName, String sealLocation, String sealReason)
        {
            this.userName = userName;
            this.sealLocation = sealLocation;
            this.sealReason = sealReason;
        }

        public String GetUserName()
        {
            return userName;
        }

        public void SetUserName(String userName)
        {
            this.userName = userName;
        }



        public String GetIdentificationType()
        {
            return identificationType;
        }

        public void SetIdentificationType(String identificationType)
        {
            this.identificationType = identificationType;
        }

        public String GetIdentificationNo()
        {
            return identificationNo;
        }

        public void SetIdentificationNo(String identificationNo)
        {
            this.identificationNo = identificationNo;
        }

        public String GetPhoneNo()
        {
            return phoneNo;
        }

        public void SetPhoneNo(String phoneNo)
        {
            this.phoneNo = phoneNo;
        }

        public String GetSealLocation()
        {
            return sealLocation;
        }

        public void SetSealLocation(String sealLocation)
        {
            this.sealLocation = sealLocation;
        }

        public String GetSealReason()
        {
            return sealReason;
        }

        public void SetSealReason(String sealReason)
        {
            this.sealReason = sealReason;
        }

    }
}
