﻿using System.Drawing.Printing;
using System.Runtime.Serialization;

namespace TellerSystem.PrintTemplate.OldPrint
{
    /// <summary>
    /// 
    /// </summary>
    /// <typeparam name="TPrintDataType"></typeparam>
    public interface IPrintElement<in TPrintDataType> : IPrintElement
    {
        TPrintDataType Value { set; }
    }

    public interface IPrintElement : ISerializable
    {
        bool IsPrint { set; get; }
        string Description { set; }
        bool Print(PrintPageEventArgs e);
        bool IsValueEditable { get; }

        float Left { get; set; }
        float Top { get; set; }

        string Group { get; set; }
    }

}
