﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using Platform.Common;
using System.Windows.Media;
using System.Windows.Input;
using System.ComponentModel;
using Platform.Print;
using TellerSystem.PrintTemplate.Base;
using Platform.Common.RunningParameters;

namespace TellerSystem.PrintTemplate.PrintTemplateData
{
    /// <summary>
    ///二代大额录入复核模板
    /// </summary>
    public class Print_Review : TemplateBase
    {
        public Print_Review()
        {
            this.PrintType = PrintTypes.BusinessVoucher;
            //左侧预留1cm的装订区域
            this.Padding = new Thickness(1 * 0.3937 * 96, 0, 0, 0);
        }
        //protected override void OnContentChanged(object oldContent, object newContent)
        //{
        //    base.OnContentChanged(oldContent, newContent);
        //    var canvas = newContent as Canvas;
        //    if (canvas == null) return;
        //    //定制格式
        //    var grid = new Grid();
        //    grid.ColumnDefinitions.Add(new ColumnDefinition { Width = new GridLength(100) });
        //    grid.ColumnDefinitions.Add(new ColumnDefinition { Width = new GridLength(200) });
        //    grid.ColumnDefinitions.Add(new ColumnDefinition { Width = new GridLength(100) });
        //    grid.ColumnDefinitions.Add(new ColumnDefinition { Width = new GridLength(200) });
        //    grid.ColumnDefinitions.Add(new ColumnDefinition { Width = new GridLength(1, GridUnitType.Star) });
        //    for (int i = 0; i < 15; i++)
        //    {
        //        grid.RowDefinitions.Add(new RowDefinition { Height = GridLength.Auto, MinHeight = 25 });
        //    }
        //    CanvasHelper.SetInternalGrid(canvas, grid);
        //    CanvasHelper.SetOffset(canvas, new Point(100, 100));
        //    //加载事件
        //    canvas.LayoutUpdated += (sender, e) =>
        //    {
        //        canvas.Refresh();
        //    };
        //}

        /// <summary>
        /// 是否绘制默认的数据
        /// </summary>
        public bool IsDrawingDefaultData { get; set; }
        protected override void DrawingCommonLayer(Extension.PrintAttributes attr)
        {
            base.DrawingCommonLayer(attr);
            //if (IsDrawingDefaultData)
            //{
                if (DesignerProperties.GetIsInDesignMode(this))
                {
                    this.DrawingText(420, 456, "复核柜员:[XXX(xxxxxx)]");
                }
                else
                {
                    this.DrawingText(420, 456, "复核柜员:" + LoginUserInfo.TellerNo);
                }
           // }
        }

    }
}
