// 假设存在 IEntity 接口的定义，如果没有，需要额外补充
interface IEntity {
    // 这里可以根据实际情况补充 IEntity 接口的属性和方法
}

/**
 * 
 * 
 * @author Administrator
 * @date 2013-5-30 11:06:05
 */
class AuthTransRecords implements IEntity {
    public Records: string;
    public TranTellerLvl: string;
    public Tellerno: string;
    public TranTellerno: string;
    public ToTellerLvl: string;
    public ToTellerNo: string;
    public ToTellerName: string;
    public TransType: number;
    public BackType: number;
    public BeginTime: string;
    public EndTime: string;
    public TakeTime: string;
    public BackTime: string;
    public AuthState: string;
    public AuthLevel: string;
    public RecvType: string;
    public TellerName: string;

    /**
     * 从数组参数中初始化对象属性
     * @param parms 包含属性值的数组
     */
    public ChangeFromTable(parms: any[]): void {
        this.Records = parms[0].toString();
        this.TranTellerLvl = parms[1].toString();
        this.Tellerno = parms[2].toString();
        this.TranTellerno = parms[3].toString();
        this.ToTellerLvl = parms[4].toString();
        this.ToTellerNo = parms[5].toString();
        this.ToTellerName = parms[6].toString();
        this.TransType = parseInt(parms[7].toString(), 10);
        this.BackType = parseInt(parms[8].toString(), 10);
        this.BeginTime = parms[9].toString();
        this.EndTime = parms[10].toString();
        this.TakeTime = parms[11].toString();
        this.BackTime = parms[12].toString();
        this.AuthLevel = parms[13].toString();
        this.AuthState = parms[14].toString();
        this.RecvType = parms[15].toString();
        this.TellerName = parms[16].toString();
    }

    /**
     * 将对象属性转换为字符串数组
     * @returns 包含属性值的字符串数组
     */
    public ChangeToTable(): string[] {
        return [
            this.Records,
            this.TranTellerLvl,
            this.Tellerno,
            this.TranTellerno,
            this.ToTellerLvl,
            this.ToTellerNo,
            this.ToTellerName,
            this.TransType.toString(),
            this.BackType.toString(),
            this.BeginTime,
            this.EndTime,
            this.TakeTime,
            this.BackTime,
            this.AuthLevel,
            this.AuthState,
            this.RecvType,
            this.TellerName
        ];
    }
}

export { AuthTransRecords };