// 定义 IEntity 接口，这里假设它是一个空接口，若有实际定义需补充
interface IEntity {}

// 定义 Tcashvarb 类
class Tcashvarb implements IEntity {
    // ID
    f_id: string;
    // 日期
    f_date: string;
    // 存款人名称
    f_client_Name: string;
    // 账户类型
    f_acctount_Type: string;
    // 预约金额
    f_money: string;
    // 预约支付日期
    f_pms_Date: string;
    // 预约方式
    f_pms_Type: string;
    // 经办人
    f_teller: string;
    // 备注
    f_description: string;
    // 行号
    f_Mechanism_No: string;

    constructor() {
        this.f_id = "";
        this.f_date = "";
        this.f_client_Name = "";
        this.f_acctount_Type = "";
        this.f_money = "";
        this.f_pms_Date = "";
        this.f_pms_Type = "";
        this.f_teller = "";
        this.f_description = "";
        this.f_Mechanism_No = "";
    }

    /**
     * 将对象属性转换为字符串数组
     * @returns 包含对象属性值的字符串数组
     */
    ChangeToTable(): string[] {
        return [
            this.f_id, 
            this.f_date, 
            this.f_client_Name, 
            this.f_acctount_Type, 
            this.f_money,
            this.f_pms_Date, 
            this.f_pms_Type,
            this.f_teller, 
            this.f_description,
            this.f_Mechanism_No 
        ];
    }

    /**
     * 从对象数组中提取值并赋值给当前对象的属性
     * @param parms 包含属性值的对象数组
     */
    ChangeFromTable(parms: any[]): void {
        this.f_id = parms[0].toString();
        this.f_date = parms[1].toString();
        this.f_client_Name = parms[2].toString();
        this.f_acctount_Type = parms[3].toString();
        this.f_money = parms[4].toString();
        this.f_pms_Date = parms[5].toString();
        this.f_pms_Type = parms[6].toString();
        this.f_teller = parms[7].toString();
        this.f_description = parms[8].toString();
        this.f_Mechanism_No = parms[9].toString();
    }
}

export { Tcashvarb };