// 定义 PrintExtListData 类
class PrintExtListData {
    // 交易名称
    TradeName: string;
    // 交易编号
    TradeNo: string;
    // 系统流水号
    SerialId: string;
    // 柜员流水号
    SerialNo: string;
    // 第三方流水号
    ThirdSerialNo: string;
    // 数据更新时间
    UpdateTime: string;

    // 构造函数，用于初始化对象属性
    constructor(
        TradeName: string = '',
        TradeNo: string = '',
        SerialId: string = '',
        SerialNo: string = '',
        ThirdSerialNo: string = '',
        UpdateTime: string = ''
    ) {
        this.TradeName = TradeName;
        this.TradeNo = TradeNo;
        this.SerialId = SerialId;
        this.SerialNo = SerialNo;
        this.ThirdSerialNo = ThirdSerialNo;
        this.UpdateTime = UpdateTime;
    }
}

// 导出类，方便其他模块使用
export { PrintExtListData };