// 由于 IEntity 接口未给出，这里先空定义，可根据实际情况补充
interface IEntity {}

/**
 * 通知下发信息接收人信息实体
 */
class TBL_Sys_ReceiveName implements IEntity {
    /**
     * ID
     */
    Id: string;
    /**
     * 接收人Id
     */
    UserId: string;
    /**
     * 信息Id
     */
    InfoId: string;
    /**
     * 状态
     */
    Status: string;
    /**
     * 是否发送成功
     */
    IsSend: string;

    constructor() {
        this.Id = '';
        this.UserId = '';
        this.InfoId = '';
        this.Status = '';
        this.IsSend = '';
    }

    /**
     * 从数组填充实体属性
     * @param parms - 包含属性值的数组
     */
    ChangeFromTable(parms: any[]): void {
        this.Id = parms[0].toString();
        this.UserId = parms[1].toString();
        this.InfoId = parms[2].toString();
        this.Status = parms[3].toString();
        this.IsSend = parms[4].toString();
    }

    /**
     * 将实体属性转换为数组
     * @returns 包含实体属性值的字符串数组
     */
    ChangeToTable(): string[] {
        return [this.Id, this.UserId, this.InfoId, this.Status, this.IsSend];
    }
}

export { TBL_Sys_ReceiveName };