// 假设 CustomImageInfo 是一个自定义类型，这里先使用 any 代替，你需要根据实际情况替换
type CustomImageInfo = any;

export class ApplyInfoReq {
    baseId: string;
    applyUserCode: string;
    applyUserName: string;
    applyBranchCode: string;
    applyBranchName: string;
    remarksInfo: string;
    uisSerialID: string;
    imageInfoList: CustomImageInfo[];

    private Lvl: string = '';

    constructor() {
        this.baseId = '';
        this.applyUserCode = '';
        this.applyUserName = '';
        this.applyBranchCode = '';
        this.applyBranchName = '';
        this.remarksInfo = '';
        this.uisSerialID = '';
        this.imageInfoList = [];
    }

    get applyLevel(): string {
        return this.Lvl;
    }

    set applyLevel(value: string) {
        if (value.includes('1')) {
            this.Lvl = '1';
        } else if (value.includes('2')) {
            this.Lvl = '2';
        } else {
            this.Lvl = '3';
        }
    }
}