// 定义 FlawTradeListResult 接口，对应 C# 中的类
interface FlawTradeListResult {
    /**
     * 授权编号
     */
    recordCode: string;
    /**
     * 申请日期
     */
    recordApplyDate: string;
    /**
     * 申请时间
     */
    recordApplyTimes: string;
    /**
     * 申请用户编号
     */
    applyUserCode: string;
    /**
     * 申请用户名称
     */
    applyUserName: string;
    /**
     * 授权柜员编号
     */
    authUserCode: string;
    /**
     * 授权柜员名称
     */
    authUserName: string;
    /**
     * 授权通过时间
     */
    recordProcessingTime: string;
    /**
     * 授权等级
     */
    recordAuthLevel: string;
    /**
     * 授权状态
     */
    authState: string;
    /**
     * 申请机构编号
     */
    applyBranchCode: string;
    /**
     * 申请机构名称
     */
    applyBranchName: string;
    /**
     * 授权编号
     */
    baseId: string;
    /**
     * 拒绝原因
     */
    refuseReason: string;
    /**
     * 记录更新时间
     */
    recordUpdateTime: string;
    /**
     * 授权名称
     */
    baseName: string;
    /**
     * 菜单编号
     */
    menuCode: string;
    /**
     * 备注
     */
    baseRemark: string;
    /**
     * 顶级机构Id
     */
    branchTopId: string;
    /**
     * 记录表更新时间
     */
    baseUpdateTime: string;
}

export default FlawTradeListResult;