// 定义 RmAuthResult 类型
export type RmAuthResult = {
    /**
     * 记录信息
     */
    record: string;
    /**
     * 0已申请、1排队中、2已分配、3处理中、4授权通过、5授权不通过、6接受超时、7已撤销
     */
    state: string;
    /**
     * 等待号码
     */
    waitNumber: string;
    /**
     * 授权中心已登录授权柜员数量
     */
    authUserNumber: string;
    /**
     * 申请用户代码
     */
    applyUserCode: string;
    /**
     * 申请用户名称
     */
    applyUserName: string;
    /**
     * 申请机构代码
     */
    applyBranchCode: string;
    /**
     * 申请机构名称
     */
    applyBranchName: string;
    /**
     * 拒绝原因
     */
    refuseReason: string;
    /**
     * 授权用户代码
     */
    authUserCode: string;
    /**
     * 授权用户名称
     */
    authUserName: string;
};