// 定义一个 IndexOfIListConverter 类
class IndexOfIListConverter {
    // 实现 Convert 方法
    public Convert(values: any[], targetType: any, parameter: any, culture: any): any {
        // 检查 values 数组长度是否小于 2
        if (values.length < 2) {
            return '';
        }
        // 检查 values[0] 是否为数组
        if (!Array.isArray(values[0])) {
            return '';
        }
        const list = values[0];
        // 查找 values[1] 在 list 中的索引
        const index = list.indexOf(values[1]);
        // 若未找到，返回空字符串
        if (index < 0) {
            return '';
        }
        // 根据 list 长度格式化索引
        if (list.length > 10) {
            const paddingLength = list.length.toString().length;
            return index.toString().padStart(paddingLength, '0');
        } else {
            return index.toString();
        }
    }

    // 实现 ConvertBack 方法
    public ConvertBack(value: any, targetTypes: any[], parameter: any, culture: any): any[] {
        throw new Error("IndexOfCollectionConverter不支持反向绑定！");
    }
}

// 导出该类
export default IndexOfIListConverter;