// 假设 TradeModel 类型已经定义
interface TradeModel {
    // 这里可以根据实际情况定义 TradeModel 的属性
}

class TradeModelHelper {
    // 模拟 Metadata 附加属性
    private static metadataMap = new WeakMap<object, { [key: string]: string }>();

    static getMetadata(obj: object): { [key: string]: string } | null {
        return this.metadataMap.get(obj) || null;
    }

    static setMetadata(obj: object, value: { [key: string]: string }): void {
        this.metadataMap.set(obj, value);
    }

    // 模拟 Right 附加属性
    private static rightMap = new WeakMap<object, string[]>();

    static getRight(obj: object): string[] | null {
        return this.rightMap.get(obj) || null;
    }

    static setRight(obj: object, value: string[]): void {
        this.rightMap.set(obj, value);
    }

    // 获取交易模型列表
    static getTradeModelList(parentModel: TradeModel): TradeModel[] {
        let lstResult: TradeModel[] = [];
        return lstResult;
    }
}

export default TradeModelHelper;