import winston from './winston'; //hulei这里日志记录使用了log4net.dll需要解决对应的方案 可以使用vuejs-logger来代替
import LoginUserInfo from '../RunningParameters/LoginUserInfo'; // 假设 LoginUserInfo 定义在该文件中hulei：缺用户模块
import { LogWriter } from "@/views/front/platfrom/common/LogSystem/LogWriter"
// 假设 LogWriter 类的实现
// class LogWriter {
//     private static instance: LogWriter;
//     private logData: any[] = [];

//     private constructor() { }

//     public static get Instance() {
//         return this.instance || (this.instance = new this());
//     }

//     public AddLogData(data: any) {
//         this.logData.push(data);
//     }

//     public SaveLog() {
//         // 实现保存日志的逻辑
//     }
// }
const enum Enum {
    A = 1,
    B = A * 2,
}
const lg1 = winston.createLogger("lg1");
const lg2 = winston.createLogger("lg2");
const lg3 = winston.createLogger("lg3");
const lg4 = winston.createLogger("lg4");
const lg5 = winston.createLogger("lg5");
export default class PlatformLogger {

    private static instance: LogWriter;
    //     private logData: any[] = [];

    //     private constructor() { }

    //     public static get Instance() {
    //         return this.instance || (this.instance = new this());
    //     }

    //     public AddLogData(data: any) {
    //         this.logData.push(data);
    //     }

    //     public SaveLog() {
    //         // 实现保存日志的逻辑
    //     }
    // 定义日志记录器


    // 日志文件开关状态
    // const dics: { [key: string]: string } = {
    //     'System.log': 'on',
    //     'Debug.log': 'on',
    //     'Message.log': 'on',
    //     'Error.log': 'on',
    // };

    // 创建连接
    public static CreateConnection(tellerNo: string, tradeDate: string) {
        // 实现创建连接的逻辑
    }

    // 关闭连接
    public static CloseConnection() {
        // 实现关闭连接的逻辑
    }

    // 系统正常运行的输出日志
    public static SystemInfo(logDetail: string) {
        this.CreateConnection(LoginUserInfo.TellerNo, LoginUserInfo.TradeDate);
        // LogWriter.Instance.AddLogData({ Content: "", TradeNo: 'debug', TellerNo: "" });//hulei 先排除
        LogWriter.Instance.SaveLog();
        this.CloseConnection();
    }

    // 交易正常运行的输出日志
    public static TradeInfo(logDetail: string, tradeNum = '****') {
        this.CreateConnection(LoginUserInfo.TellerNo, LoginUserInfo.TradeDate);
        // LogWriter.Instance.AddLogData({ logger: lg2, level: 'debug', message: logDetail, tradeNum });;//hulei 先排除
        LogWriter.Instance.SaveLog();
        this.CloseConnection();
    }

    // 交易异常的输出日志
    public static TradeErrorInfo(errMsg: string, ex: Error, tradeNum = '****') {
        this.CreateConnection(LoginUserInfo.TellerNo, LoginUserInfo.TradeDate);
        // LogWriter.Instance.AddLogData({ logger: lg3, level: 'error', message: errMsg, tradeNum, ex });;//hulei 先排除
        LogWriter.Instance.SaveLog();
        this.CloseConnection();
    }

    // 普通异常(不属于交易异常)的输出日志
    public static SystemErrorInfo(errMsg: string, ex: Error) {
        this.CreateConnection(LoginUserInfo.TellerNo, LoginUserInfo.TradeDate);
        // LogWriter.Instance.AddLogData({ logger: lg5, level: 'error', message: errMsg, ex });;//hulei 先排除
        LogWriter.Instance.SaveLog();
        this.CloseConnection();
    }

    // 通讯内容的输出日志
    public static CommunicationInfo(msg: string, tradeNum = '****') {
        this.CreateConnection(LoginUserInfo.TellerNo, LoginUserInfo.TradeDate);
        // LogWriter.Instance.AddLogData({ logger: lg4, level: 'debug', message: msg, tradeNum });;//hulei 先排除
        LogWriter.Instance.SaveLog();
        this.CloseConnection();
    }

    // 获取待上传的目录路径
    public static GetUploadDataPath(isChecked: boolean): string {
        this.CloseConnection();
        if (isChecked) {
            if (this.CanbeSent(LoginUserInfo.TellerNo, LoginUserInfo.TradeDate)) {
                return this.GetBackUp();
            }
        } else {
            return this.GetBackUp();
        }
        this.CreateConnection(LoginUserInfo.TellerNo, LoginUserInfo.TradeDate);
        return '';
    }
    static CanbeSent(TellerNo: string, TradeDate: string): boolean {
        return false;

    }

    // 更改输出配置
    public static ChangeOutput() {
        this.CloseConnection();
        this.CreateConnection(LoginUserInfo.TellerNo, LoginUserInfo.TradeDate);
    }

    // 判断日志文件是否满足上传条件
    public static static(path: string, tradeDate: string): boolean {
        // 实现判断逻辑
        return false;
    }

    // 检查日志文件是否能写入
    public static CheckSwitchOfFile(logger: "", dic: { [key: string]: string }) {//hulei(logger: winston.Logger, dic: { [key: string]: string })
        // 实现检查逻辑
    }

    // 获取日志文件的最近上传时间
    public static GetLastSentTime(fInfo: any): Date {
        // 实现获取时间逻辑
        return new Date();
    }

    // 获取日志文件的大小
    public static GetSizeOfFile(fInfo: any): number {
        // 实现获取大小逻辑
        return 0;
    }

    // 为指定的日志记录器添加输出文件
    public static SetAppender(logger: "", appender: any) {//hulei(logger: winston.Logger, appender: any)
        // 实现添加输出文件逻辑
    }

    // 创建输出文件
    public static CreateAppender(tellerNo: string, fileName: string): any {
        // 实现创建输出文件逻辑
        return {};
    }

    // 截屏函数
    public static CutScreen(): string {
        // 实现截屏逻辑
        return '';
    }

    // 对待上传的目录进行备份，并返回目录路径
    public static GetBackUp(): string {
        // 实现备份逻辑
        return '';
    }

}
