/**
 * 节点扩展属性类
 */
export class MetaData {
    /**
     * 节点扩展属性的键
     */
    public Key: string;
    /**
     * 节点扩展属性的值
     */
    public Value: string;

    /**
     * 构造函数，用于初始化节点扩展属性
     * @param key 节点扩展属性的键
     * @param value 节点扩展属性的值
     */
    constructor(key: string, value: string) {
        this.Key = key;
        this.Value = value;
    }
}