export interface PicpCheckResInfo {
    /**
     * 返回报文类型
     */
    resMsgNo: string;
    /**
     * 身份证号
     */
    idNo: string;
    /**
     * 姓名
     */
    name: string;
    /**
     * 核查结果
     */
    checkResult: string;
    /**
     * 签发机构
     */
    issue: string;
    /**
     * 曾用名
     */
    formerName: string;
    /**
     * 性别
     */
    sex: string;
    /**
     * 生日
     */
    birthday: string;
    /**
     * 出生地
     */
    birthPlace: string;
    /**
     * 籍贯
     */
    nativePlace: string;
    /**
     * 文化程度
     */
    eduLevel: string;
    /**
     * 婚姻状况
     */
    marriage: string;
    /**
     * 职业
     */
    job: string;
    /**
     * 服务处所
     */
    engageAddr: string;
    /**
     * 住址
     */
    address: string;
    /**
     * 照片64bit压缩编码
     */
    photoData: number[];
    /**
     * 备注
     */
    comments: string;
    /**
     * 照片数据长度
     */
    photoDataLength: number;
}