import { AttachFile } from '../AttachFile';
import { TransitEntity } from '../TransitEntity';

export interface ITransitInvoker {
    /**
     * 向服务端做服务方法通讯
     * @param transitentity 传输实体
     * @returns 附件文件列表
     */
    commit(transitentity: TransitEntity): Promise<AttachFile[]>;
}
