import { TradeBusHelper } from "@/views/front/develop/Constract/ContractBase/TradeBusHelper"
import { TradeInfoHelper } from "@/views/front/develop/Constract/ContractBase/TradeInfoHelper"
import TradeAPIsHelper from "@/views/front/develop/Constract/ContractBase/TradeAPIsHelper"
import TradeResourcesHelper from "@/views/front/develop/Constract/ContractBase/TradeAPIsHelper"


/**
 * 交易帮助接口
 */
export interface ITradeHelper {
    /**
     * 业务总线
     */
    readonly TradeBus: TradeBusHelper

    /**
     * 交易信息
     */
    readonly TradeInfo: TradeInfoHelper

    /**
     * 操作接口
     */
    readonly TradeAPIs: TradeAPIsHelper

    /**
     * 资源集合
     */
    readonly TradeResources: TradeResourcesHelper
}
