﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using TellerSystem.Communication;
using TellerSystem.Contract.ContractBase;
using Platform.Print;
using TellerSystem.Contract.Entry;

namespace TellerSystem.Contract.Contracts
{
    public interface IPrintContract
    {
        /// <summary>
        /// 打印数据入口，定义打印所需的数据集合
        /// </summary>
        PrintEntry PrintData { get; }
        /// <summary>
        /// 加载打印数据，该方法由系统自动调用
        /// </summary>
        void LoadPrintData(); 
    }

    public interface IPrintFeeContract
    {
       
        /// <summary>
        /// 加载打印数据，该方法由系统自动调用
        /// </summary>
        void LoadPrint(string kjfl);
    }
 
}
