// 定义 Tx_Entry 类，用于表示流程图中的连接信息
export class Tx_Entry {
    // 开始节点
    private m_StartNode: string;
    // 结束节点
    private m_EndNode: string;
    // 条件
    private m_Condition: string;

    // 获取开始节点
    get StartNode(): string {
        return this.m_StartNode;
    }

    // 设置开始节点
    set StartNode(value: string) {
        this.m_StartNode = value;
    }

    // 获取结束节点
    get EndNode(): string {
        return this.m_EndNode;
    }

    // 设置结束节点
    set EndNode(value: string) {
        this.m_EndNode = value;
    }

    // 获取条件
    get Condition(): string {
        return this.m_Condition;
    }

    // 设置条件
    set Condition(value: string) {
        this.m_Condition = value;
    }

    // 构造函数，用于初始化开始节点、结束节点和条件
    constructor(start: string, end: string, condition: string) {
        this.m_StartNode = start;
        this.m_EndNode = end;
        this.m_Condition = condition;
    }
}