﻿/*****************************************************************************************
系统名     综合业务系统2.0
程序名     交易2301的源代码
类名       T2301      
概要   	   客户信息维护
作成者     XXX
作成日     
履历       No.        日期          Ver.No       修改人          描述
*****************************************************************************************/
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.IO;
using System.Linq;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;
using AxDOCCAMERAOCXLib;
using Platform.Library;
using Platform.Presentation.PageFunctions;
using TellerSystem.Library.Ext.Function;
using Application = System.Windows.Application;
using TellerSystem.Library.Ext.TradeExtension;
using TellerSystem.Devices.Interface;

namespace TellerSystem.Controls.Ext.Controls
{
    /// <summary>
    /// CameraViewer.xaml 的交互逻辑
    /// </summary>
    [DesignTimeVisible(false)]
    public partial class PictureCaptureViewer : TradePage
    {
        public List<PictureEntity> Pictures { get; private set; }
        public PictureCaptureViewer(bool cutBorderFlag = false)
        {
            InitializeComponent();
            Pictures = new List<PictureEntity>();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            Pictures.AddRange(PictureCapture.PictureList.Select(x => x.Entity));
            this.Close();
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

    }
}
