﻿using System.Text;
using System.Windows;
using System.ComponentModel;
using TellerSystem.Library.Ext.Function;

namespace TellerSystem.Controls.Ext.Controls
{
    /// <summary>
    /// FeeViewer.xaml 的交互逻辑
    /// </summary>
    [DesignTimeVisible(false)]
    public partial class RevokeViewer
    {
        public RevokeViewer()
        {
            InitializeComponent();
            IsSubmited = false;
            RevokeMessage = string.Empty;
        }
        public bool IsSubmited { get; private set; }
        public string RevokeMessage { get; private set; }

        private void SubmitButton_Click_1(object sender, RoutedEventArgs e)
        {
            IsSubmited = true;
            var sb = new StringBuilder();
            if (Reason1.IsChecked == true)
            {
                sb.AppendLine(Reason1.Content.ToString());
            }
            if (Reason2.IsChecked == true)
            {
                sb.AppendLine(Reason2.Content.ToString());
            }
            if (Reason3.IsChecked == true)
            {
                sb.AppendLine(Reason3.Content.ToString());
            }
            if (Reason4.IsChecked == true)
            {
                sb.AppendLine(Reason4.Content.ToString());
            }
            if (Reason5.IsChecked == true)
            {
                sb.AppendLine(Reason5.Content.ToString());
            }
            if (OtherReason.IsChecked == true)
            {
                sb.AppendLine(OtherReasonMessage.Text);
            }
            RevokeMessage = sb.ToString();
            this.Close();
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void OtherReason_Checked(object sender, RoutedEventArgs e)
        {
            OtherReasonMessage.IsEnabled = true;
        }

    }
}
