﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Platform.Controls.ControlsHelper;
using Platform.Library;
using TellerSystem.Library.Ext.Function;

namespace TellerSystem.Controls.Ext.Controls
{
    /// <summary>
    /// TBC_MoneyInfo.xaml 的交互逻辑
    /// </summary>
    public partial class TBC_MoneyInfo
    {
        public TBC_MoneyInfo()
        {
            InitializeComponent();
            tml_In.CPage = this;
            tml_out.CPage = this;
        }

        public void Init(string amt)
        {
            TranAmt.Text = amt;
        }

        public bool IsOk { get; set; }


        private void BT_Canle_Click(object sender, RoutedEventArgs e)
        {
            this.Close();
        }

        private void BT_Sub_Click(object sender, RoutedEventArgs e)
        {
            if (tml_In.TotalAmt.ToDecimal() - tml_out.TotalAmt.ToDecimal() == TranAmt.Text.ToDecimal())
            {
                IsOk = true;
                this.Close();
                return;
            }
            this.ShowWarnMessageBox("金额收支不平！请检查...");
        }


    }
}
