﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Diagnostics;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices;
using System.Text;
using System.Text.RegularExpressions;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Controls.Primitives;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using System.Xml;
using Platform.Common.LogSystem;
using Platform.Common.RunningParameters;
using TellerSystem.PrintTemplate.PrintTemplateData;
using TellerSystem.Contract.Contracts;
using TellerSystem.Contract.Entry;
using TellerSystem.Library.Ext.Function;

namespace TellerSystem.Controls.Ext.PrintsHelper
{
    /// <summary>
    /// 活期存折首页
    /// </summary>
    public partial class PBB_YBZCZ_Page : IPrintContract
    {
        public PBB_YBZCZ_Page(PBB_YBZCZ_PageEntry entry)
        {
            InitializeComponent();
            PrintData = entry;
        }

        public class PBB_YBZCZ_PageEntry : PrintEntry
        {
            /**********************************
             * 定义实体属性
             * 1.打印逻辑用到的要素
             * *******************************/


        }

        public Contract.Entry.PrintEntry PrintData
        {
            get;
            set;
        }

        public void LoadPrintData()
        {

        }

        public void SetLines(List<BBP_YBZCZ.BankBookPageLine> lines)
        {
            var top = lines.Where(x => x.Number % 24 > 12 || x.Number % 24 == 0);
            var botton = lines.Where(x => x.Number % 24 <= 12 && x.Number % 24 > 0);
            BBP_Top.LoadData(top);
            BBP_Bottom.LoadData(botton);
        }
    }
}