﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using TellerSystem.Contract.Contracts;
using TellerSystem.Contract.Entry;
using TellerSystem.Library.Ext.Function;
using System.Windows;


namespace TellerSystem.Controls.Ext.PrintsHelper
{
    /// <summary>
    /// PrintReturn_交易回写.xaml 的交互逻辑
    /// </summary>
    public partial class PrintReturn_交易回写 : IPrintContract
    {
        public PrintReturn_交易回写(PrintReturn_交易回写Entry entry)
        {
            InitializeComponent();
            PrintData = entry;
        }
        /// <summary>
        /// 凭证的打印数据实体定义
        /// </summary>
        public class PrintReturn_交易回写Entry : PrintEntry
        {
            /**********************************
             * 定义实体属性
             * 1.打印逻辑用到的要素
             * *******************************/ 
            /// <summary>
            /// 描述
            /// </summary>
            public string Desicption
            {
                get;
                set;
            }
        }
        public Contract.Entry.PrintEntry PrintData
        {
            get;
            set;
        }

        public void LoadPrintData()
        {
            var entry = PrintData as PrintReturn_交易回写Entry;
            desc.Text = entry.Desicption;
        }
    }
}
