﻿using Platform.Common.RunningParameters;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using TellerSystem.Contract.Contracts;
using TellerSystem.Contract.Entry;

namespace TellerSystem.Controls.Ext.PrintsHelper
{
    /// <summary>
    /// Print_JBSJPZ_2.xaml 的交互逻辑
    /// </summary>
    public partial class Print_JBSJPZ_2 : IPrintContract
    {
        public Print_JBSJPZ_2(Print_JBSJPZ_2Entry entry)
        {
            InitializeComponent();
            PrintData = entry;
        }

        public PrintEntry PrintData
        {
            get;
            private set;
        }

        public void LoadPrintData()
        {
            var entry = PrintData as Print_JBSJPZ_2Entry;
            this.tb_BZ.Text = entry.BZ;
            this.tb_JB.Text = string.Format("{1}({0})", LoginUserInfo.TellerNo, LoginUserInfo.TellerName);
            this.tb_FH.Text = string.Format("{1}({0})", PrintAttribute.Authno, this.PrintAttribute.Authentic);
        }
        public class Print_JBSJPZ_2Entry : PrintEntry
        {
            /// <summary>
            /// 备注
            /// </summary>
            public string BZ;
        }
    }
}
