﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;
using TellerSystem.Contract.Contracts;
using TellerSystem.Contract.Entry;
using Platform.Common.RunningParameters;

namespace TellerSystem.Controls.Ext.PrintsHelper
{
    /// <summary>
    /// Print_JBJJQD.xaml 的交互逻辑
    /// </summary>
    public partial class Print_JRMBMSSJ_DW_2 : IPrintContract
    {
        public Print_JRMBMSSJ_DW_2(Print_JRMBMSSJ_DW_2Entry entry)
        {
            InitializeComponent();
            PrintData = entry;
        }

        public Contract.Entry.PrintEntry PrintData
        {
            get;
            private set;
        }
        public class Print_JRMBMSSJ_DW_2Entry : PrintEntry
        {
        }
        public void LoadPrintData()
        {
            var entry = PrintData as Print_JRMBMSSJ_DW_2Entry;
            this.tb_JB.Text = string.Format("{1}({0})", LoginUserInfo.TellerNo, LoginUserInfo.TellerName);
            this.tb_FH.Text = string.Format("{1}({0})", PrintAttribute.Authno, this.PrintAttribute.Authentic);
        }
    }
}
