﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using TellerSystem.Contract.ContractBase;
using TellerSystem.Library.Ext.Variables;
using TellerSystem.Communication;
using TellerSystem.Contract.Contracts;
using TellerSystem.Contract.Entry;
using Platform.Controls.ControlsHelper;
using Platform.Library;
using TellerSystem.Library.Ext.Function;
using TellerSystem.Library.Ext.TradeExtension;
using TellerSystem.Controls.Ext.ControlsHelper;
using Platform.Common.RunningParameters;
using TellerSystem.Contract.Function;
using TellerSystem.Controls.Ext.TradePageBase;

namespace TellerSystem.Controls.Ext.TradePageComponent
{
    /// <summary>
    /// TBC_AccountBinding.xaml 的交互逻辑
    /// </summary>
    public partial class TBC_AccountBinding : TBC_ComponentBase<TBC_AccountBindingInput, TBC_AccountBindingOutput>
    {
        public TBC_AccountBinding()
        {
            InitializeComponent();
        }

        /// <summary>
        /// 组件参数
        /// </summary>
        public class AccountInfo
        {

        }
    }



    #region 数据限定
    /// <summary>
    /// 组件数据交互类
    /// </summary>
    public class TBC_AccountBindingInput : TBC_ComponentInput
    {
        #region 构造
        #endregion

        #region 控制属性

        /// <summary>
        /// 是否代理特别控制
        /// </summary>
        //public Predicate<string> PreProxySFDLControl { get; set; }

        #endregion

        #region 交互方法

        #endregion
    }

    /// <summary>
    /// 组件数据输出类
    /// </summary>
    public class TBC_AccountBindingOutput : TBC_ComponentOutput
    {
        /// <summary>
        /// 输出账户信息
        /// </summary>
        public TBC_AccountBinding.AccountInfo AnoInfo { get; internal set; }

    }
    #endregion
}
