﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;
using TellerSystem.Library.Ext.NPOI.Factory;

namespace TellerSystem.Library.Ext.NPOI
{
    public class NPOIHelper
    {
        public static NPOIFactory CreateFactory(string extension)
        {
            if (extension.ToLower() == "xls" || extension.ToLower() == "doc")
                return new NPOIFactory_03();
            else if (extension.ToLower() == "xlsx" || extension.ToLower() == "docx")
                return new NPOIFactory_07();
            else return null;
        }
    }
}
