﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Platform.Presentation.Interfaces;
using Platform.Common.BasicFunctions;
using System.Xml.Linq;

namespace TellerSystem.Library.Ext.TradeExtension
{
    internal class IPageExtension : DependencyObject
    {      
        #region CurrentTabItem


        public static TabItem GetCurrentTabItem(DependencyObject obj)
        {
            return (TabItem)obj.GetValue(CurrentTabItemProperty);
        }

        public static void SetCurrentTabItem(DependencyObject obj, TabItem value)
        {
            obj.SetValue(CurrentTabItemProperty, value);
        }

        // Using a DependencyProperty as the backing store for CurrentTabItem.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty CurrentTabItemProperty =
            DependencyProperty.RegisterAttached("CurrentTabItem", typeof(TabItem), typeof(IPageExtension), new UIPropertyMetadata(null));


        #endregion

    }
}
