﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.Library.Ext.TradeExtension
{
    class NotificationAttribute:Attribute
    {
        /// <summary>
        /// 构造函数
        /// </summary>
        /// <param name="Flag">报文标志</param>
        /// <param name="Desc">报文描述</param>
        public NotificationAttribute(string Flag, string Desc)
        {
            this.NotificationFlag = Flag;
            this.NotificationDescription = Desc;
        }

        /// <summary>
        /// 报文标志
        /// </summary>
        public string NotificationFlag { get; set; }

        /// <summary>
        /// 报文描述
        /// </summary>
        public string NotificationDescription { get; set; }
    }
}
