﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.Library.Ext.TradeExtension
{
    public interface ITradeMessage
    {

    }

    /// <summary>
    /// 导航交易的子交易回调导航交易操作的通讯对象
    /// </summary>
    public class TradeStateChangedMessage : ITradeMessage
    {
        public TradeState IsSuccess { get; set; }
    }

    /// <summary>
    /// 子交易的完成状态
    /// </summary>
    public enum TradeState
    {
        Success = 0,
        Cancel = 1,
    }
}
