// 定义 ITradeMessage 接口
interface ITradeMessage {}

// 定义 TradeState 枚举
enum TradeState {
    Success = 0,
    Cancel = 1
}

// 定义 TradeStateChangedMessage 类
class TradeStateChangedMessage implements ITradeMessage {
    IsSuccess: TradeState;

    constructor(isSuccess: TradeState) {
        this.IsSuccess = isSuccess;
    }
}

export { ITradeMessage, TradeState, TradeStateChangedMessage };