﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.IO;

namespace TellerSystem.Library.Ext.TradeExtension
{
    public class UpgradeClass
    {
        private Window window = null;

        public UpgradeClass()
        {
            this.window = (Window)System.Reflection.Assembly.LoadFile(Path.Combine(AppDomain.CurrentDomain.BaseDirectory, "TellerSystem.Upgrade.exe")).CreateInstance("TellerSystem.Upgrade.MainWindow", true,
             System.Reflection.BindingFlags.Default, null, new object[] { false }, null, null);
        }

        public bool CheckUpgrade
        {
            get
            {
                //Type type = this.window.GetType();

                System.Reflection.MethodInfo m = this.window.GetType().GetMethod("CheckUpdate");
                bool isUpdate = (bool)m.Invoke(this.window, null);
                return isUpdate;
            }
        }

        public void BeginUpdating()
        {
            this.window.ShowDialog();
        }

        public bool UpdateTradeDll(string actionName)
        {
            System.Reflection.MethodInfo m = this.window.GetType().GetMethod("UpdateTradeDll");
            bool isUpdate = (bool)m.Invoke(this.window, new object[] { actionName });
            return isUpdate;
        }
    }
}
