﻿using System;

namespace TellerSystem.PrintTemplate.ElecSeal.Cfca
{
    /// <summary>
    /// 多媒体数据bean类
    /// </summary>
    public class MultiDataBean
    {

        private byte[] multiData;

        private String fileName;
        private String descr;

        //type取值：0=不放到pdf文档中；1=注释方式；2=附件方式
        private String type;

        public MultiDataBean()
        {
        }
        public MultiDataBean(byte[] multiData, String fileName, String type)
        {
            this.multiData = multiData;
            this.fileName = fileName;
            this.type = type;
            this.descr = null == descr ? "" : descr;
        }


        public MultiDataBean(byte[] multiData, String fileName, String descr, String type)
        {
            this.multiData = multiData;
            this.fileName = fileName;
            this.descr = descr;
            this.type = type;
        }
        public byte[] GetMultiData()
        {
            return multiData;
        }

        public void SetMultiData(byte[] multiData)
        {
            this.multiData = multiData;
        }

        public String GetFileName()
        {
            return fileName;
        }

        public void SetFileName(String fileName)
        {
            this.fileName = fileName;
        }

        public String GetType()
        {
            return type;
        }

        public void SetType(String type)
        {
            this.type = type;
        }

        public String GetDescr()
        {
            return descr;
        }

        public void SetDescr(String descr)
        {
            this.descr = descr;
        }


    }
}
