﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TellerSystem.PrintTemplate.Extension
{
    public class PrintFunctions
    {
        // 将日期转换成大写       
        /// </summary>
        /// <param name="date">8位日期</param>
        /// <param name="type">y-年 m-月 d-日</param>
        /// <returns>bDate大写日期</returns>
        public static string DateToBig(string date, string type)
        {
            string year; //年
            string month; //月
            string day; //日
            string byear = ""; //大写年
            string bmonth = ""; //大写月
            string bday = ""; //大写日
            int i = 0;
            year = date.Substring(0, 4);
            month = date.Substring(4, 2);
            day = date.Substring(6, 2);

            if (type == "y")
            {
                while (i < 4)
                {
                    switch (year.Substring(i, 1)) //判断年如何取大写
                    {
                        case "0":
                            byear = byear + '零';
                            break;

                        case "1":
                            byear = byear + "壹";
                            break;

                        case "2":
                            byear = byear + "贰";
                            break;

                        case "3":
                            byear = byear + "叁";
                            break;

                        case "4":
                            byear = byear + "肆";
                            break;

                        case "5":
                            byear = byear + "伍";
                            break;

                        case "6":
                            byear = byear + "陆";
                            break;

                        case "7":
                            byear = byear + "柒";
                            break;

                        case "8":
                            byear = byear + "捌";
                            break;

                        case "9":
                            byear = byear + "玖";
                            break;
                    }
                    i = i + 1;
                }
                return byear;
            }
            else if (type == "m")
            {
                switch (month) //判断月如何取大写
                {
                    case "01":
                        bmonth = "  零壹";
                        break;

                    case "02":
                        bmonth = "  零贰";
                        break;

                    case "03":
                        bmonth = "  零叁";
                        break;

                    case "04":
                        bmonth = "  零肆";
                        break;

                    case "05":
                        bmonth = "  零伍";
                        break;

                    case "06":
                        bmonth = "  零陆";
                        break;

                    case "07":
                        bmonth = "  零柒";
                        break;

                    case "08":
                        bmonth = "  零捌";
                        break;

                    case "09":
                        bmonth = "  零玖";
                        break;

                    case "10":
                        bmonth = "零壹拾";
                        break;

                    case "11":
                        bmonth = "壹拾壹";
                        break;

                    case "12":
                        bmonth = "壹拾贰";
                        break;
                }
                return bmonth;
            }
            else if (type == "d")
            {
                switch (day) //判断日如何取大写
                {
                    case "01":
                        bday = "  零壹";
                        break;

                    case "02":
                        bday = "  零贰";
                        break;

                    case "03":
                        bday = "  零叁";
                        break;

                    case "04":
                        bday = "  零肆";
                        break;

                    case "05":
                        bday = "  零伍";
                        break;

                    case "06":
                        bday = "  零陆";
                        break;

                    case "07":
                        bday = "  零柒";
                        break;

                    case "08":
                        bday = "  零捌";
                        break;

                    case "09":
                        bday = "  零玖";
                        break;

                    case "10":
                        bday = "零壹拾";
                        break;

                    case "11":
                        bday = "壹拾壹";
                        break;

                    case "12":
                        bday = "壹拾贰";
                        break;

                    case "13":
                        bday = "壹拾叁";
                        break;

                    case "14":
                        bday = "壹拾肆";
                        break;

                    case "15":
                        bday = "壹拾伍";
                        break;

                    case "16":
                        bday = "壹拾陆";
                        break;

                    case "17":
                        bday = "壹拾柒";
                        break;

                    case "18":
                        bday = "壹拾捌";
                        break;

                    case "19":
                        bday = "壹拾玖";
                        break;

                    case "20":
                        bday = "零贰拾";
                        break;

                    case "21":
                        bday = "贰拾壹";
                        break;

                    case "22":
                        bday = "贰拾贰";
                        break;

                    case "23":
                        bday = "贰拾叁";
                        break;

                    case "24":
                        bday = "贰拾肆";
                        break;

                    case "25":
                        bday = "贰拾伍";
                        break;

                    case "26":
                        bday = "贰拾陆";
                        break;

                    case "27":
                        bday = "贰拾柒";
                        break;

                    case "28":
                        bday = "贰拾捌";
                        break;

                    case "29":
                        bday = "贰拾玖";
                        break;

                    case "30":
                        bday = "零叁拾";
                        break;

                    case "31":
                        bday = "叁拾壹";
                        break;
                }
                return bday;
            }
            else
            {
                return "";
            }

        }
    }
}
