﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace TellerSystem.PrintTemplate.PrintExtTemplate
{
    /// <summary>
    /// RevokeControl.xaml 的交互逻辑
    /// </summary>
    public partial class RevokeControl : UserControl
    {
        public RevokeControl()
        {
            InitializeComponent();
        }
        /// <summary>
        ///  原柜员流水号
        /// </summary>
        public string SerialNo
        {
            get { return (string)GetValue(SerialNoProperty); }
            set { SetValue(SerialNoProperty, value); }
        }

        // Using a DependencyProperty as the backing store for SerialNo.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty SerialNoProperty =
            DependencyProperty.Register("SerialNo", typeof(string), typeof(RevokeControl), new UIPropertyMetadata(string.Empty));
        /// <summary>
        /// 旋转角度"默认设置的是“-5”"
        /// </summary>
        public string Ang
        {
            get { return (string)GetValue(AngProperty); }
            set { SetValue(AngProperty, value); }
        }

        // Using a DependencyProperty as the backing store for SerialNo.  This enables animation, styling, binding, etc...
        public static readonly DependencyProperty AngProperty =
            DependencyProperty.Register("Ang", typeof(string), typeof(RevokeControl), new UIPropertyMetadata("-5"));
        
    }
}
