﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using System.Windows;
using Platform.Common;
using System.Windows.Media;
using System.Windows.Input;
using System.ComponentModel;
using Platform.Print;
using TellerSystem.PrintTemplate.Base;
using Platform.Common.RunningParameters;

namespace TellerSystem.PrintTemplate.PrintTemplateData
{
    /// <summary>
    /// 现金缴款单
    /// </summary>
    public class Print_CashPaymentNote3 : TemplateBase
    {
        public Print_CashPaymentNote3()
        {
            this.PrintType = PrintTypes.CashPaymentNote3;
        }
        protected override void DrawingCommonLayer(Extension.PrintAttributes attr)
        {
            base.DrawingCommonLayer(attr);
            if (DesignerProperties.GetIsInDesignMode(this))
            {
                this.DrawingText(415, 528, "[复核]");
                this.DrawingText(623, 528, "[录入]");
                this.DrawingText(47, 528, "流水号:[19801898299299181]");
            }
            else
            {
                this.DrawingText(415, 528, attr.Review);
                this.DrawingText(623, 528, LoginUserInfo.TellerName);
                this.DrawingText(47, 528, "流水号:" + attr.SystemSerialNumber);
            }
        }
    }
}
