// 定义接口 IEntity，这里因为 C# 代码中未明确其内容，暂时为空
interface IEntity {}

/**
 * 事后监督==按任务监督
 */
class AfterTask implements IEntity {
    // 交易类型
    worktype: string;
    // 监督金额
    supersum: string;
    // 监督百分比
    proportion: string;

    constructor(worktype: string = '', supersum: string = '', proportion: string = '') {
        this.worktype = worktype;
        this.supersum = supersum;
        this.proportion = proportion;
    }

    /**
     * 将属性转换为字符串数组
     * @returns 包含 worktype、supersum、proportion 的字符串数组
     */
    ChangeToTable(): string[] {
        return [this.worktype, this.supersum, this.proportion];
    }

    /**
     * 从对象数组中获取数据并赋值给当前实例的属性
     * @param parms 包含数据的对象数组
     */
    ChangeFromTable(parms: any[]): void {
        this.worktype = parms[0].toString();
        this.supersum = parms[1].toString();
        this.proportion = parms[2].toString();
    }
}

export { AfterTask };