// 假设 IEntity 是一个空接口，因为原代码中未给出其定义
interface IEntity {}

class AuthCondInf implements IEntity {
    public Tx_code: string;
    public Seqn: number;
    public Mod: string;
    public Cond: string;
    public Des: string;
    public Uncondflag: number;
    public Funcnum: string;
    public Ext: string;

    constructor() {
        this.Tx_code = "";
        this.Seqn = 0;
        this.Mod = "";
        this.Cond = "";
        this.Des = "";
        this.Uncondflag = 0;
        this.Funcnum = "";
        this.Ext = "";
    }

    public ChangeToTable(): string[] {
        return [this.Tx_code, this.Seqn.toString(), this.Mod, this.Cond, this.Des, this.Uncondflag.toString(), this.Funcnum, this.Ext];
    }

    public ChangeFromTable(parms: any[]): void {
        if (parms.length === 8) {
            this.Tx_code = parms[0].toString();
            this.Seqn = parseInt(parms[1].toString(), 10);
            this.Mod = parms[2].toString();
            this.Cond = parms[3].toString();
            this.Des = parms[4].toString();
            this.Uncondflag = parseInt(parms[5].toString(), 10);
            this.Funcnum = parms[6].toString();
            this.Ext = parms[7].toString();
        }
    }
}

export { AuthCondInf };