// 假设 IEntity 接口在其他地方定义，这里简单模拟
interface IEntity {}

class TcheckAccount implements IEntity {
    f_id: string;
    f_date: string;
    f_check_content: string;
    f_check_result: string;
    f_check_teller: string;
    f_confim_teller: string;
    f_description: string;
    f_Mechanism_No: string;

    constructor() {
        this.f_id = "";
        this.f_date = "";
        this.f_check_content = "";
        this.f_check_result = "";
        this.f_check_teller = "";
        this.f_confim_teller = "";
        this.f_description = "";
        this.f_Mechanism_No = "";
    }

    ChangeToTable(): string[] {
        return [
            this.f_id,
            this.f_date,
            this.f_check_content,
            this.f_check_result,
            this.f_check_teller,
            this.f_confim_teller,
            this.f_description,
            this.f_Mechanism_No
        ];
    }

    ChangeFromTable(parms: any[]): void {
        this.f_id = parms[0].toString();
        this.f_date = parms[1].toString();
        this.f_check_content = parms[2].toString();
        this.f_check_result = parms[3].toString();
        this.f_check_teller = parms[4].toString();
        this.f_confim_teller = parms[5].toString();
        this.f_description = parms[6].toString();
        this.f_Mechanism_No = parms[7].toString();
    }
}

export { TcheckAccount };