// 假设 IEntity 是一个空接口，因为原代码未给出具体定义
interface IEntity {}

class TdoutbfulPay implements IEntity {
    f_id: string;
    f_date: string;
    f_title: string;
    f_acctount: string; 
    f_money: string;
    f_purpose: string;
    f_pay_type: string;
    f_acctount_type: string;
    f_serial_no: string;
    f_teller: string;
    f_anti_lander_money: string;
    f_Mechanism_No: string;

    constructor() {
        this.f_id = '';
        this.f_date = '';
        this.f_title = '';
        this.f_acctount = '';
        this.f_money = '';
        this.f_purpose = '';
        this.f_pay_type = '';
        this.f_acctount_type = '';
        this.f_serial_no = '';
        this.f_teller = '';
        this.f_anti_lander_money = '';
        this.f_Mechanism_No = '';
    }

    /**
     * 将对象的属性值转换为字符串数组
     */
    ChangeToTable(): string[] {
        return [
            this.f_id,
            this.f_date,
            this.f_title,
            this.f_acctount,
            this.f_money,
            this.f_purpose,
            this.f_pay_type,
            this.f_acctount_type,
            this.f_serial_no,
            this.f_teller,
            this.f_anti_lander_money,
            this.f_Mechanism_No
        ];
    }

    /**
     * 从对象数组中读取值并赋值给类的属性
     * @param parms - 包含属性值的对象数组
     */
    ChangeFromTable(parms: any[]): void {
        this.f_id = parms[0].toString();
        this.f_date = parms[1].toString();
        this.f_title = parms[2].toString();
        this.f_acctount = parms[3].toString();
        this.f_money = parms[4].toString();
        this.f_purpose = parms[5].toString();
        this.f_pay_type = parms[6].toString();
        this.f_acctount_type = parms[7].toString();
        this.f_serial_no = parms[8].toString();
        this.f_teller = parms[9].toString();
        this.f_anti_lander_money = parms[10].toString();
        this.f_Mechanism_No = parms[11].toString();
    }
}

export { TdoutbfulPay };