// 由于 IEntity 接口在 C# 里未给出具体内容，这里先留空
// 如果后续有具体定义，可补充完整
interface IEntity {}

class VacationInfo implements IEntity {
    // 假期日期
    vacatDay: string;
    // 柜员号
    tellerNo: string;
    // 状态 暂时默认 1
    state: string;
    // 备注
    remark: string;
    // 备用字段
    ext: string;
    ext1: string;

    constructor(vacatDay: string = '', tellerNo: string = '', state: string = '', remark: string = '', ext: string = '', ext1: string = '') {
        this.vacatDay = vacatDay;
        this.tellerNo = tellerNo;
        this.state = state;
        this.remark = remark;
        this.ext = ext;
        this.ext1 = ext1;
    }

    ChangeToTable(): string[] {
        return [this.vacatDay, this.tellerNo, this.state, this.remark, this.ext, this.ext1];
    }

    ChangeFromTable(parms: any[]): void {
        this.vacatDay = parms[0].toString();
        this.tellerNo = parms[1].toString();
        this.state = parms[2].toString();
        this.remark = parms[3].toString();
        this.ext = parms[4].toString();
        this.ext1 = parms[5].toString();
    }
}

export { VacationInfo };