

import TransitEntity from '@/views/front/platfrom/serviceproxy/ServiceFunction/TransitEntity';
import TT_KinbrInfo from '../TradeBusinessEntitys/TT_KinbrInfo';
import { TT_LoginUser } from '../TradeBusinessEntitys/TT_LoginUser';
// import { Types } from "@/views/front/platfrom/serviceproxy/ServiceFunction/Types";
// import { AttachFile } from '@/views/front/platfrom/serviceproxy/ServiceFunction/AttachFile';



export class TradeManagerHandle {
    static Query_GroupCodeByUserCode(userCode: string): string[] {
        throw new Error("Method not implemented.");
    }
    static GetKinbrLogo(kinbrno: string) {
        throw new Error("Method not implemented.");
    }
    static GetClearingKinbrno(): string[] {
        throw new Error("Method not implemented.");
    }
    static TT_SYSCONFIG_GetConfigValueByConfigID(arg0: string) {
        return "V21";
    }
    // 查询机构信息
    public static async GetAllKinbrInfo(kinbrNo: string): Promise<TT_KinbrInfo[]> {
        try {
            const entity = new TransitEntity()
            entity.ServiceName = "tradeManagerService",
                entity.FuncName = "GetAllKinbrInfo",
                entity.Parameters = { "1": kinbrNo }


            const tmpresult = ServiceManager.GetInstance().Commit(entity);
            if (tmpresult && tmpresult.length === 1) {
                return CommonFunction.changeTableToEntitys<TT_KinbrInfo>(tmpresult[0].AttachValue);
            }
            return [];
        } catch (e) {
            throw e;
        }
    }

    // 查询柜员信息
    public static async GetLoginuserList(kinbrno: string): Promise<TT_LoginUser[]> {
        try {
            const entity = new TransitEntity()
            entity.ServiceName = 'tradeManagerService'
            entity.FuncName = 'tradeManagerService'
            entity.Parameters = { "1": kinbrno }

            const tmpresult = await ServiceManager.GetInstance().Commit(entity);
            if (tmpresult && tmpresult.length === 1) {
                return CommonFunction.changeTableToEntitys<TT_LoginUser>(tmpresult[0].AttachValue);
            }
            return [];
        } catch (e) {
            throw e;
        }
    }

    // 获取机构类型
    public static async GetKinbrtypeByKinbrno(kinbrno: string): Promise<string> {
        try {
            const entity = new TransitEntity()
            entity.ServiceName = 'tradeManagerService',
                entity.FuncName = "GetKinbrtypeByKinbrno",
                entity.Parameters = { "1": kinbrno }


            const tmpresult = await ServiceManager.GetInstance().Commit(entity);
            if (tmpresult && tmpresult.length === 1) {
                return tmpresult[0].AttachValue.toString();
            }
            return "";
        } catch (e) {
            throw e;
        }
    }

    // 机构同步
    public static async tt_kinbrinfo_Sync(
        deletelist: string,
        add: TT_KinbrInfo[],
        update: TT_KinbrInfo[]
    ): Promise<string> {
        try {
            const entity = new TransitEntity()
            entity.ServiceName = 'tradeManagerService',
                entity.FuncName = "TT_kinbrinfo_Sync",
                entity.Parameters = { "1": deletelist }
            // entity.AttachFiles.push(new AttachFile({
            //     AttachIndex: "2",
            //     AttachType: Types.TableType,
            //     AttachValue: CommonFunction.changeEntityToTable(add)
            // }));

            // entity.AttachFiles.push(new AttachFile({
            //     AttachIndex: "3",
            //     AttachType: Types.TableType,
            //     AttachValue: CommonFunction.changeEntityToTable(update)
            // }));hulei-/暂时不加附件 后面再说

            const tmpresult = await ServiceManager.GetInstance().Commit(entity);
            if (tmpresult && tmpresult.length === 1) {
                return tmpresult[0].AttachValue.toString();
            }
            return "9999";
        } catch (e) {
            throw e;
        }
    }

    // 其他方法实现类似，根据业务需求补充...
}

// 辅助函数类
class CommonFunction {
    public static changeTableToEntitys<T>(table: any): T[] {
        // 实现DataTable到实体数组的转换
        return [];
    }

    public static changeEntityToTable(entities: any[]): any {
        // 实现实体数组到DataTable的转换
        return {};
    }

    public static changArrayToStr(arr: string[]): string {
        return arr.join(",");
    }
}
