// 定义 IEntity 接口，由于原代码未给出，这里简单定义
interface IEntity {
    ChangeToTable(): string[];
    ChangeFromTable(parms: any[]): void;
}

/**
 * 
 * @author LICHEN
 * @date 2013/6/26 星期三 16:17:15
 */
class AUTH_LVL implements IEntity {
    Lvlno: string;
    Des: string;

    constructor() {
        this.Lvlno = "";
        this.Des = "";
    }

    /**
     * 将属性转换为字符串数组
     */
    ChangeToTable(): string[] {
        return [this.Lvlno, this.Des];
    }

    /**
     * 从对象数组中读取数据并赋值给属性
     * @param parms - 包含数据的对象数组
     */
    ChangeFromTable(parms: any[]): void {
        this.Lvlno = parms[0].toString();
        this.Des = parms[1].toString();
    }
}

export { AUTH_LVL };