// 这里模拟命名空间，在 TypeScript 里可以用模块来替代
// 定义一个模块来模拟 C# 的命名空间
namespace TellerSystem.ServiceProxy.Ext.WebAPI.Auth.Entity {
    export class GetTokenReq {
        // 定义属性
        sysName: string;
        secret: string;

        // 构造函数，方便初始化对象
        constructor(sysName: string = '', secret: string = '') {
            this.sysName = sysName;
            this.secret = secret;
        }
    }
}

// 如果需要在外部使用这个类，可以这样导出
export default TellerSystem.ServiceProxy.Ext.WebAPI.Auth.Entity.GetTokenReq;