// 此文件对应原 C# 的 TokenResult.cs，定义了 Token 结果的数据结构

/**
 * 表示令牌结果的接口，包含访问令牌和刷新令牌
 */
export interface TokenResult {
    /**
     * 访问令牌，用于访问受保护的资源
     */
    accessToken: string;
    /**
     * 刷新令牌，用于在访问令牌过期时获取新的访问令牌
     */
    refreshToken: string;
}
