// 假设 TreeViewNode 的定义
interface TreeViewNode {
    // 可根据实际情况添加属性
    [key: string]: any;
}

/**
 * 根节点
 */
export class TreeViewRoot {
    // 节点层级
    Level: number;
    // 菜单类别名称
    TradeName: string;
    // 子节点集合列表
    listNode: TreeViewNode[] | null;

    constructor() {
        this.Level = 0;
        this.TradeName = "";
        this.listNode = null;
    }
}