// 假设 IFieldPolicy 接口的基本结构
export interface IFieldPolicy {
    // 这里可以根据实际情况添加更多属性和方法
}

// 实现 FieldPolicyCollection 类
export class FieldPolicyCollection {
    private items: IFieldPolicy[] = [];

    // 添加元素到集合
    add(item: IFieldPolicy): void {
        this.items.push(item);
    }

    // 获取集合中元素的数量
    get count(): number {
        return this.items.length;
    }

    // 根据索引获取元素
    getItem(index: number): IFieldPolicy | undefined {
        return this.items[index];
    }
}