export class IsAuthResult {
    /**
     * 授权模式: 
     * 1、 本地授权
     * 2、 远程授权
     * 3、 即可本地又可远程授权
     */
    public Mode: number;
    /**
     * 授权级别
     */
    public Lvl: string;
    /**
     * 是否需要授权
     */
    public Isauth: boolean;
    /**
     * 授权流水
     */
    public Records: string;

    constructor(mode: number, lvl: string, isauth: boolean, records: string) {
        this.Mode = mode;
        this.Lvl = lvl;
        this.Isauth = isauth;
        this.Records = records;
    }
}