export interface PicpCheckRecords {
    /**
     * 核查流水号
     */
    seqNo: string;
    /**
     * 流水号
     */
    serialNo: string;
    /**
     * 报文类型
     */
    msgNo: string;
    /**
     * 交易号
     */
    tradeNo: string;
    /**
     * 核查柜员
     */
    checkTel: string;
    /**
     * 核查机构
     */
    checkBrNo: string;
    /**
     * 核查方式
     */
    checkType: string;
    /**
     * 核查日期
     */
    checkDate: string;
    /**
     * 核查时间
     */
    checkTime: string;
    /**
     * 核查信息:身份证号,姓名
     */
    checkInfoKVs: { [key: string]: any };
    /**
     * 核查是否成功
     */
    success: string;
    /**
     * 备注
     */
    comments: string;
}