// 假设 IEntity 接口定义如下
interface IEntity {
    ChangeToTable(): string[];
    ChangeFromTable(parms: any[]): void;
}

export class TTellerHotKey implements IEntity {
    /**
     * 对应快捷键基础表中的快捷键标识
     */
    public KeyName: string;
    /**
     * 柜员号
     */
    public TellerNum: string;
    /**
     * 键值
     */
    public KeyValue: string;

    constructor() {
        this.KeyName = '';
        this.TellerNum = '';
        this.KeyValue = '';
    }

    public ChangeToTable(): string[] {
        return [this.KeyName, this.TellerNum, this.KeyValue];
    }

    public ChangeFromTable(parms: any[]): void {
        this.KeyName = parms[0].toString();
        this.TellerNum = parms[1].toString();
        this.KeyValue = parms[2].toString();
    }
}