export interface WorkItemDesc {
    /**
     * 流水号
     */
    SerialNo: string;
    /**
     * 交易号
     */
    TradeNo: string;
    /**
     * 流程创建时间
     */
    BegTime: string;
    /**
     * 完成时间
     */
    EndTime: string;
    /**
     * 任务描述
     */
    TaskDes: string;
    /**
     * 工作项Id
     */
    WorkItemId: string;
    /**
     * 流程Id
     */
    ProcessId: string;
    /**
     * 数据总线数据
     */
    ProcessVariables: { [key: string]: any };
    /**
     * 任务变量数据
     */
    ItemVariables: { [key: string]: any };
    /**
     * 节点名称
     */
    NodeName: string;
}